<?php
/*
	eShox OS
	http://www.eshox.com/

	Copyright (c) 2003, Secure.cc, Inc.

	Released under the GNU General Public License

*/

return true;

  class order {
	var $info, $totals, $products, $customer, $delivery;

	function order($order_id) {
	  $this->info = array();
	  $this->totals = array();
	  $this->products = array();
	  $this->customer = array();
	  $this->delivery = array();

	  $this->query($order_id);
	}

	function query($order_id) {
	  
	  $order_query = shop_db_query("select o.*, c.customers_firstname, c.customers_lastname, c.customers_fax from " . DB_PREFIX . "orders o left join " . DB_PREFIX . "customers c on c.customers_id = o.customers_id where o.orders_id = '$order_id'");
	  $order = shop_db_fetch_array($order_query);
	  $order['status'] = shop_get_orders_status($order['orders_status']);
	  $this->info = $order;
	  
	  $this->totals = array();
	  $totals_query = shop_db_query("select * from " . DB_PREFIX . "orders_total where orders_id = '$order_id'");
	  while ($totals = shop_db_fetch_array($totals_query)) {
	    $this->info[substr($totals['class'],3)] = $totals['value'];
	    $this->totals[] = $totals;
	  }
	  $this->customer = array();
	  $this->delivery = array();
	  foreach ($order as $key => $value) {
	    if (substr($key,0,9) == 'customers') $this->customer[str_replace('customers_','',$key)] = $value;
	    if (substr($key,0,8) == 'delivery') $this->delivery[str_replace('delivery_','',$key)] = $value;
	  }
	  $this->customer['format_id'] = $order['customers_address_format_id'];
	  $this->delivery['format_id'] = $order['delivery_address_format_id'];

	  $orders_products_query = shop_db_query("select op.products_id as 'id',
	  										  op.products_name as 'name',
	  										  op.products_model as 'model',
	  										  p.products_sku as 'sku',
	  										  p.manufacturers_id as 'manufacturer',
	  										  op.products_image as 'image',
	  										  op.products_quantity as 'qty',
	  										  op.products_tax as 'tax',
	  										  op.products_price as 'price',
	  										  op.products_cost as 'cost',
	  										  op.final_price as 'final_price',
	  										  op.serial_number, op.orders_products_id
	  										  from " . DB_PREFIX . "orders_products op, " . DB_PREFIX . "products p 
	  										  where op.orders_id = '$order_id' and p.products_id = op.products_id order by name");
	  while ($orders_products = shop_db_fetch_array($orders_products_query)) {
		if (defined('MANUFACTURER')) {
		  $products_man = shop_db_fetch_array(shop_db_query("select manufacturers_email from " . DB_PREFIX . "manufacturers where manufacturers_id = '" . $orders_products['manufacturer'] . "'"));
		  if($products_man['manufacturers_email'] != USERNAME) continue;
		}

		$this->products[$orders_products['orders_products_id']] = $orders_products;

		$attributes_query = shop_db_query("select products_options as 'option', 
										   products_options_values as 'value', 
										   orders_products_attributes_id as 'option_id',
										   products_options_values_id as 'value_id', 
										   price_prefix as 'prefix', 
										   products_options_image as 'image', 
										   options_values_price as 'price',
										   orders_products_attributes_id
										   from " . DB_PREFIX . "orders_products_attributes 
										   where orders_id = '$order_id' 
										   and orders_products_id = '" . $orders_products['orders_products_id'] . "' 
										   order by products_options_id");
										   
		$this->products[$orders_products['orders_products_id']]['attributes'] = array();
		if (shop_db_num_rows($attributes_query)) {
		  while ($attributes = shop_db_fetch_array($attributes_query)) $this->products[$orders_products['orders_products_id']]['attributes'][] = $attributes;
		}

		$customer_options_query = shop_db_query("select customer_options as 'option', 
												 customer_options_value as 'value', 
												 customer_options_type as 'type', 
												 orders_customer_options_id as 'option_id',
												 locx, locy 
												 from " . DB_PREFIX . "orders_customer_options 
												 where orders_id = '$order_id' 
												 and products_id = '" . $orders_products['orders_products_id'] . "' 
												 order by customer_options_id");

		$this->products[$orders_products['orders_products_id']]['customer_options'] = array();
		if (shop_db_num_rows($customer_options_query)) {
		  while ($customer_options = shop_db_fetch_array($customer_options_query)) $this->products[$orders_products['orders_products_id']]['customer_options'][] = $customer_options;
		}
	  }
	}
  }
