<?php

/*
  eShox 3 Commerce Solution
  http://www.eshox.com/
  
  Copyright (c) 2003, Secure.cc, Inc.

*/

define('UNOW', date('U'));
define('NOW_YEAR', date('Y'));
define('LAST_YEAR', date('Y')-1);
define('NOW_MONTH', date('m'));

define('LAST_MONTH', date('m')-1);
define('BEFORE1_LAST_MONTH', date('m')-2);
define('BEFORE2_LAST_MONTH', date('m')-3);
define('BEFORE3_LAST_MONTH', date('m')-4);

define('NEXT_MONTH', date('m')+1);
define('AFTER1_NEXT_MONTH', date('m')+2);
define('AFTER2_NEXT_MONTH', date('m')+3);
define('AFTER3_NEXT_MONTH', date('m')+4);

define('UNOW_YEAR', mktime(0,0,1,1,1,NOW_YEAR));
define('ULAST_YEAR', mktime(0,0,-1,0,0,LAST_YEAR));

define('UNOW_MONTH', mktime(0,0,1,NOW_MONTH,1,NOW_YEAR));
define('UNEXT_MONTH', mktime(0,0,1,NEXT_MONTH,1,NOW_YEAR));
define('UAFTER1_NEXT_MONTH', mktime(0,0,1,AFTER1_NEXT_MONTH,1,NOW_YEAR));
define('UAFTER2_NEXT_MONTH', mktime(0,0,1,AFTER2_NEXT_MONTH,1,NOW_YEAR));
define('ULAST_MONTH', mktime(0,0,1,LAST_MONTH,1,NOW_YEAR));
define('UBEFORE1_LAST_MONTH', mktime(0,0,1,BEFORE1_LAST_MONTH,1,NOW_YEAR));
define('UBEFORE2_LAST_MONTH', mktime(0,0,1,BEFORE2_LAST_MONTH,1,NOW_YEAR));

define('ULAST_DAY_NOW_MONTH', mktime(0,0,-1,NEXT_MONTH,1,NOW_YEAR));
define('ULAST_DAY_NEXT_MONTH', mktime(0,0,-1,AFTER1_NEXT_MONTH,1,NOW_YEAR));
define('ULAST_DAY_AFTER1_NEXT_MONTH', mktime(0,0,-1,AFTER2_NEXT_MONTH,1,NOW_YEAR));
define('ULAST_DAY_AFTER2_NEXT_MONTH', mktime(0,0,-1,AFTER3_NEXT_MONTH,1,NOW_YEAR));
define('ULAST_DAY_LAST_MONTH', mktime(0,0,-1,NOW_MONTH,1,NOW_YEAR));
define('ULAST_DAY_BEFORE1_LAST_MONTH', mktime(0,0,-1,(LAST_MONTH),1,NOW_YEAR));
define('ULAST_DAY_BEFORE2_LAST_MONTH', mktime(0,0,-1,(LAST_MONTH-1),1,NOW_YEAR));

define('DATE_FORMAT_START','Y-m-d 00:00:01');
define('DATE_FORMAT_END','Y-m-d 23:59:59');

function shop_simple_date_graph($headers, $columns, $footers, $query_sql, $data_column = 1) {
	$stats = '	<tr height="17">' . UNIX_RETURN;
	$stats .= '		<td width="38" background="images/win_header_column.gif"></td>' . UNIX_RETURN;
	foreach ($headers as $id => $header) {
		$stats .= '		<td align="' . $header['align'] . '" valign="center" class="dataTableContent" background="images/win_header_' . $header['bg'] . '.gif"> &nbsp;' . $header['text'] . '</td>' . UNIX_RETURN;
	}
	$stats .= '	</tr>' . UNIX_RETURN;

	$data = ''; $data_array = array(); $record = 0;
	$currencies = new currencies();
	$orders_query = shop_db_query($query_sql);
	while($order = shop_db_fetch_array($orders_query)) {
		$color = (($record % 2) ? 'FFFFFF' : 'E0E0E0');
		$color2 = (($record % 2) ? 'F0F0F0' : 'D8D8D8');
		$stats .= '	<tr class="dataTableRow" height="17">';
		$stats .= '		<td height="17" align="right" bgcolor="' . $color . '" valign="center" class="dataTableContent"> &nbsp;' . $order['percentage'] . '%&nbsp; </td>';
		foreach ($columns as $id => $column) {
			$data_array[$id] .= 'data[' . $record . ']=' . $order[$column['text']] . '&dates[' . $record . ']=' . $order['short_name'] . '&';
			if ($column['function']) {
				eval('$value = ' . $column['function'] . "'" . $order[$column['text']] . "');");
			} else {
				$value = $order[$column['text']];
			}
			if ($id>=1) $footers[$id]['text'] += $order[$column['text']];
			$stats .= '		<td height="17" align="' . $column['align'] . '" bgcolor="' . (($headers[$id]['bg'] == 'col_selected') ? $color2 : $color) . '" valign="center" class="dataTableContent"> &nbsp;' . $value . '&nbsp; </td>';
		}
		$data .= 'data[' . $record . ']=' . $order[$column['text']] . '&dates[' . $record . ']=' . $order['short_name'] . '&';
		
		$stats .= '</tr>' . UNIX_RETURN;
		$record ++;
	}

	$stats .= '              <tr class="dataTableRow" height="17">';
	$stats .= '		<td height="17" align="right" bgcolor="c8c8c8" valign="center" class="dataTableContent">100%&nbsp;</td>' . UNIX_RETURN;
	foreach ($footers as $id => $footer) {
		if ($footer['function']) {
			eval('$value = ' . $footer['function'] . "'" . $footer['text'] . "');");
		} else {
			$value = $footer['text'];
		}
		$stats .= '		<td align="' . $footer['align'] . '" valign="center" class="dataTableContent" bgcolor="c8c8c8"> &nbsp;' . $value . '&nbsp; </td>' . UNIX_RETURN;
	}
	$stats .= '	</tr>' . UNIX_RETURN;
	
	return array($stats, $data, $data_array);
}

define('TABLE_HEADING_COLLECTED', 'Collected');
define('TABLE_HEADING_PURCHASED', 'Sales');
define('TABLE_HEADING_COST', 'Costs');
define('TABLE_HEADING_PROFIT', 'Gross Profit');

if ($_GET['type']) require('contents/statistics/' . $_GET['type'] . '.php');
