<?php
/*
  eShox 3 Commerce Solution
  http://www.eshox.com/
  
  Copyright (c) 2003, Secure.cc, Inc.

*/

  require('contents/resources.php');

define('HEADING_TITLE', 'Information Panels');

define('TABLE_HEADING_PANEL_TAG', 'eShox Tag');
define('TABLE_HEADING_PANELS', 'Information Panels');
define('TABLE_HEADING_PANEL_DOCS', 'Information Documents');

define('TEXT_INFO_HEADING_NEW_PANEL', 'New Information Panel');
define('TEXT_INFO_NEW_PANEL_INTRO', 'Please enter the new panel information');

define('TEXT_INFO_HEADING_EDIT_PANEL', 'Edit Information Panel');
define('TEXT_INFO_EDIT_PANEL_INTRO', 'Please make any necessary changes');

define('TEXT_INFO_HEADING_DELETE_PANEL', 'Delete Information Panel');
define('TEXT_INFO_DELETE_PANEL_INTRO', 'Are you sure you want to delete this panel?');

define('TEXT_INFO_HEADING_NEW_INFO_DOCUMENT', 'New Information Document');
define('TEXT_INFO_NEW_INFO_DOCUMENT_INTRO', 'Please enter the new information document information');

define('TEXT_INFO_HEADING_EDIT_INFO_DOCUMENT', 'Edit Information Document');
define('TEXT_INFO_EDIT_INFO_DOCUMENT_INTRO', 'Please make any necessary changes');

define('TEXT_INFO_HEADING_DELETE_INFO_DOCUMENT', 'Delete Information Document');
define('TEXT_INFO_DELETE_INFO_DOCUMENT_INTRO', 'Are you sure you want to delete this information document?');

define('TEXT_INFO_PANEL_NAME', 'Information Panel Name:');
define('TEXT_INFO_PANEL_TAG', 'Panel eShox Tag:');
define('TEXT_INFO_PANEL_TAG_INFO', '<br /><small>Example: [navbar_info_returns]</small>');
define('TEXT_INFO_DOCUMENT_NAME', 'Document Name:');
define('TEXT_INFO_DOCUMENT_BODY', 'Document Text:');

  $dID = ($_GET['dID']);
  $pID = ($_GET['pID']);
  $name = ($_POST['name']);
  $tag = ($_POST['tag']);
  $body = ($_POST['body']);
  $languages = shop_get_languages();
  
  switch ($_GET['action']) {
	case 'setflag':
	    shop_db_query("update " . DB_PREFIX . "information_documents set status = '" . ($_GET['flag'] ? 1 : 0) . "' where information_document_id = '" . $_GET['dID'] . "'");
	    shop_redirect(shop_href_link(FILENAME_INFORMATION, '&pID=' . $_GET['pID'] . '&panel=list&dID=' . $_GET['dID']));
	  break;
	case 'insert_doc':
	  if ($name) {
	    $next_id = shop_db_fetch_array(shop_db_query("select max(information_document_id) as next_id from " . DB_PREFIX . "information_documents"));
	    for ($i=0; $i<sizeof($languages); $i++) {
	      shop_db_query("insert into " . DB_PREFIX . "information_documents (information_document_id, name, body, information_panel_id, language_id) values ('" . ($next_id['next_id'] + 1) . "', '" . ($name) . "', '" . ($body) . "', '" . ($pID) . "', '" . $languages[$i]['id'] . "')");
	    }
	    $redirect = 'page=' . $_GET['page'] . '&pID=' . $_GET['pID'] . '&panel=list&dID=' . $new_docbody;
	    $edit = 'edit';
	  } else {
	    $redirect = 'page=' . $_GET['page'] . '&panel=list&pID=' . $_GET['pID'];
	    $edit='new';
	  }
	  break;
	case 'save_doc':
	  shop_db_query("update " . DB_PREFIX . "information_documents set information_panel_id = '" . ($pID) . "', status='1', name = '" . ($name) . "', body = " . ((($body)) ? "'" . ($body) . "'" : 'null') . " where information_document_id = '" . ($dID) . "' and language_id = '" . $_POST['language'] . "'");

	  $redirect = 'page=' . $_GET['page'] . '&pID=' . $_GET['pID'] . '&panel=list&dID=' . $_GET['dID'];
	  $edit = 'edit';
	  break;
	case 'deleteconfirm_doc':
	  shop_db_query("delete from " . DB_PREFIX . "information_documents where information_document_id = '" . ($dID) . "'");

	  $redirect = 'page=' . $_GET['page'] . '&pID=' . $_GET['pID'] . '&panel=list&';
	  break;
	case 'insert_panel':
	  if ($name) {
	    $next_id = shop_db_fetch_array(shop_db_query("select max(information_panel_id) as next_id from " . DB_PREFIX . "information_panels"));
	    for ($i=0; $i<sizeof($languages); $i++) {
	      shop_db_query("insert into " . DB_PREFIX . "information_panels (information_panel_id, name, tag, language_id) values ('" . ($next_id['next_id'] + 1) . "', '" . ($name) . "', '" . ($tag) . "', '" . $languages[$i]['id'] . "')");
	    }
	    $redirect = 'page=' . $_GET['page'] . '&pID=' . $new_panel_id;
	    $edit = 'edit_panel';
	  } else {
	    $redirect = 'page=' . $_GET['page'];
	    $edit='new_panel';
	  }
	  break;
	case 'save_panel':
	  shop_db_query("update " . DB_PREFIX . "information_panels set name = '" . ($name) . "', tag = '" . ($tag) . "' where information_panel_id = '" . ($pID) . "' and language_id = '" . $_POST['language'] . "'");

	  $redirect = 'page=' . $_GET['page'] . '&pID=' . $_GET['pID'];
	  $edit = 'edit_panel';
	  break;
	case 'deleteconfirm_panel':
	  shop_db_query("delete from " . DB_PREFIX . "information_panels where information_panel_id = '" . ($pID) . "'");
	  shop_db_query("delete from " . DB_PREFIX . "information_documents where information_panel_id = '" . ($pID) . "'");

	  $redirect = 'page=' . $_GET['page'];
	  break;
  }
  if ($redirect) {
	if ($_POST['switchLanguage'] == 'true') {
	  shop_redirect(shop_href_link(FILENAME_INFORMATION, $redirect . '&action=' . $edit . '&new=' . $_POST['new'] . '&choose_language=' . $_POST['choose_language']));
	} else {
	  shop_redirect(shop_href_link(FILENAME_INFORMATION, $redirect));
	}
  }

  if ($_GET['choose_language']) {
	$lang = $_GET['choose_language'];
  } else {
	$lang = $languages_id;
  }
  if ($_GET['pID']) {
	if ($_GET['new']) {
	  $new = $_GET['new'];
	} else {
	  $new = 'false';
	}
  } else {
	$new = 'true';
  }
  $language_data = shop_get_language($lang);

?><html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>eShox: <?php echo HEADING_TITLE; ?></title>
<link rel="stylesheet" type="text/css" href="contents/stylesheet.css">
<script language="JavaScript" src="contents/eshox_os/scripts.js" type="text/javascript"></script>
</head>
<body marginwidth="0" marginheight="0" topmargin="0" bottommargin="0" leftmargin="0" rightmargin="0" bgcolor="333333">
<!-- header //-->
<!-- header_eof //-->

<!-- body //-->
<table width="100%" border="0" cellpadding="0" cellspacing="0">
<?php
$help_page = MYSELF;
include('contents/header.php');
?>
</table><table border="0" width="100%" cellspacing="8" cellpadding="1" bgcolor="333333">
  <tr>
	<td width="<?php echo BOX_WIDTH; ?>" valign="top"><table border="0" width="160" cellspacing="0" cellpadding="0">
<!-- left_navigation //-->
<?php require('contents/navbar.php'); ?>
<!-- left_navigation_eof //-->
	</table></td>
<!-- body_text //-->
	<td width="100%" valign="top">
	<table width="100%" border="0" cellpadding="0" cellspacing="0">
	    <tr>
	        <td><img src="images/win_header_left.gif" width="8" height="22"></td>
	        <td width="14" align="left" valign="center" background="images/win_header_bg.gif"><a href="index.php"><img src="images/close.gif" width="13" height="14" border="0"></a></td>
	        <td width="6" align="left" valign="center" background="images/win_header_bg.gif"><img src="images/pixel_trans.gif" border="0" width="6" height="14"></td>
	        <td width="14" align="left" valign="center" background="images/win_header_bg.gif"><a href="<?php echo MYSELF . '?page_toggle=true'; ?>"><img src="images/max.gif" width="13" height="14" border="0"></a></td>
	        <td class="windowHeading" align="CENTER" valign="CENTER" height="22" width="100%" background="images/win_header_bg.gif"><?php echo HEADING_TITLE; ?></td>
	        <td width="34" background="images/win_header_bg.gif"></td>
	        <td><img src="images/win_header_right.gif" width="8" height="22"></td>
	    </tr>
	</table>
	<table width="100%" border="0" cellpadding="0" cellspacing="0">
	<tr>
		<td width="100%" background="images/win_header_column.gif"><table border="0" width="100%" cellspacing="0" cellpadding="0">
	  <tr>
	        <td valign="top">
<?php
  if ($_GET['panel'] == 'list') {
?>
	        <table border="0" width="100%" cellspacing="0" cellpadding="0">
	          <tr>
	            <td height="17" colspan="3" valign="center" class="dataTableContent"> &nbsp; <?php echo TABLE_HEADING_PANEL_DOCS; ?></td>
	            <td height="17" valign="center" class="dataTableContent">&nbsp;</td>
	          </tr>
<?php
	$rows = 0;
	$panels_query_raw = "select * from " . DB_PREFIX . "information_documents where information_panel_id = '" . $_GET['pID'] . "' and language_id = '$lang'";
	$info_split = new splitPageResults($_GET['page'], CFG_ADMIN_ITEMS_PAGE, $panels_query_raw, $panels_query_numrows);
	$panels_query = shop_db_query($panels_query_raw);
	while ($panels = shop_db_fetch_array($panels_query)) {
	  $rows++;
	  if (((!$_GET['dID']) || (@$_GET['dID'] == $panels['information_document_id'])) && (!$dInfo) && (substr($_GET['action'], 0, 3) != 'new')) {
	    $dInfo = new objectInfo($panels);
	  }
	  if ( (is_object($dInfo)) && ($panels['information_document_id'] == $dInfo->information_document_id) ) {
	    echo '                  <tr class="dataTableRowSelected">' . UNIX_RETURN;
	  } else {
	    echo '                  <tr class="dataTableRow" onmouseover="this.style.cursor=\'pointer\'" onclick="document.location.href=\'' . shop_href_link(FILENAME_INFORMATION, 'page=' . $_GET['page'] . '&pID=' . $_GET['pID'] . '&panel=list&dID=' . $panels['information_document_id']) . '\'">' . UNIX_RETURN;
	  }
?>
	            <td class="dataTableContent" height="20" width="20" align="right"><img src="images/icons/preview.gif" width=16 height=16 hspace="4"></td>
	            <td class="dataTableContent"><?php echo $panels['name']; ?></td>
	            <td class="dataTableContent">
<?php
	  if ($panels['status'] == '1') {
	    echo shop_image(DIR_WS_IMAGES . 'icon_status_green.gif', IMAGE_ICON_STATUS_GREEN, 12, 12) . '&nbsp;&nbsp;<a href="' . shop_href_link(FILENAME_INFORMATION, 'action=setflag&flag=0&pID=' . $_GET['pID'] . '&dID=' . $panels['information_document_id']) . '">' . shop_image(DIR_WS_IMAGES . 'icon_status_red_light.gif', IMAGE_ICON_STATUS_RED_LIGHT, 12, 12) . '</a>';
	  } else {
	    echo '<a href="' . shop_href_link(FILENAME_INFORMATION, 'action=setflag&flag=1&pID=' . $_GET['pID'] . '&dID=' . $panels['information_document_id']) . '">' . shop_image(DIR_WS_IMAGES . 'icon_status_green_light.gif', IMAGE_ICON_STATUS_GREEN_LIGHT, 12, 12) . '</a>&nbsp;&nbsp;' . shop_image(DIR_WS_IMAGES . 'icon_status_red.gif', IMAGE_ICON_STATUS_RED, 12, 12);
	  }
?></td>
	            <td class="dataTableContent" align="right"><?php if ( (is_object($dInfo)) && ($panels['information_document_id'] == $dInfo->information_document_id) ) { echo shop_image(DIR_WS_IMAGES . 'icon_arrow_right.gif'); } else { echo '<a href="' . shop_href_link(FILENAME_INFORMATION, 'page=' . $_GET['page'] . '&pID=' . $_GET['pID'] . '&panel=list&dID=' . $panels['information_document_id']) . '">&nbsp;</a>'; } ?></td>
	          </tr>
<?php
	}
?>
	          <tr>
	            <td colspan="4">
	              <table border="0" width="100%" cellspacing="0" cellpadding="4">
	                <tr>
	                  <td class="smallText" valign="top"><?php echo $info_split->display_count($panels_query_numrows, CFG_ADMIN_ITEMS_PAGE, $_GET['page'], TEXT_DISPLAY_NUMBER_OF_INFO_DOCS); ?></td>
	                  <td class="smallText" align="right"><?php echo $info_split->display_links($panels_query_numrows, CFG_ADMIN_ITEMS_PAGE, MAX_DISPLAY_PAGE_LINKS, $_GET['page'], 'pID=' . $_GET['pID'] . '&panel=list', 'page'); ?></td>
	                </tr>
	              </table>
	            </td>
	          </tr>
	          <tr>
	            <td align="right" colspan="4"><?php if (!$_GET['action']) echo '<a href="' . shop_href_link(FILENAME_INFORMATION, 'pID=' . $_GET['pID']) . '">' . shop_image_button('button_back.gif', IMAGE_BACK) . '</a>&nbsp;<a href="' . shop_href_link(FILENAME_INFORMATION, 'page=' . $_GET['page'] . '&pID=' . $_GET['pID'] . '&panel=list&dID=' . $dInfo->information_document_id . '&action=new') . '">' . shop_image_button('button_insert.gif', IMAGE_INSERT) . '</a>&nbsp;'; ?></td>
	          </tr>
	        </table>
<?php
  } else {
?>
	        <table border="0" width="100%" cellspacing="0" cellpadding="0">
	          <tr>
	            <td height="17" colspan="2" valign="center" class="dataTableContent"> &nbsp; <?php echo TABLE_HEADING_PANELS; ?></td>
	            <td height="17" valign="center" class="dataTableContent"><?php echo TABLE_HEADING_PANEL_TAG; ?></td>
	            <td height="17" valign="center" class="dataTableContent" align="right">&nbsp;</td>
	          </tr>
<?php
	$panels_query_raw = "select * from " . DB_PREFIX . "information_panels where language_id = '$lang'";
	$info_split = new splitPageResults($_GET['page'], CFG_ADMIN_ITEMS_PAGE, $panels_query_raw, $panels_query_numrows);
	$panels_query = shop_db_query($panels_query_raw);
	while ($panels = shop_db_fetch_array($panels_query)) {
	  if (((!$_GET['pID']) || (@$_GET['pID'] == $panels['information_panel_id'])) && (!$pInfo) && (substr($_GET['action'], 0, 3) != 'new')) {
	    $pInfo = new objectInfo($panels);
	  }
	  if ( (is_object($pInfo)) && ($panels['information_panel_id'] == $pInfo->information_panel_id) ) {
	    echo '                  <tr class="dataTableRowSelected" valign="center" onmouseover="this.style.cursor=\'pointer\'" onclick="document.location.href=\'' . shop_href_link(FILENAME_INFORMATION, 'pID=' . $panels['information_panel_id'] . '&panel=list') . '\'">' . UNIX_RETURN;
	  } else {
	    echo '                  <tr class="dataTableRow" valign="center" onmouseover="this.style.cursor=\'pointer\'" onclick="document.location.href=\'' . shop_href_link(FILENAME_INFORMATION, 'pID=' . $panels['information_panel_id'] . '&page=' . $_GET['page']) . '\'">' . UNIX_RETURN;
	  }
?>
	            <td class="dataTableContent" height="20" width="20" align="right"><img src="images/icons/folder.gif" width=16 height=16 hspace="4"></td>
	            <td class="dataTableContent" align="left"><?php echo $panels['name']; ?></td>
	            <td class="dataTableContent" align="left"><?php echo $panels['tag']; ?></td>
	            <td class="dataTableContent" align="right"><?php if ( (is_object($pInfo)) && ($panels['information_panel_id'] == $pInfo->information_panel_id) ) { echo shop_image(DIR_WS_IMAGES . 'icon_arrow_right.gif'); } else { echo '<a href="' . shop_href_link(FILENAME_INFORMATION, 'page=' . $_GET['page'] . '&pID=' . $panels['information_panel_id']) . '"></a>'; } ?></td>
	          </tr>
<?php
	}
?>
	          <tr>
	            <td colspan="3">
	              <table border="0" width="100%" cellspacing="0" cellpadding="4">
	                <tr>
	                  <td class="smallText" valign="center"><?php echo $info_split->display_count($panels_query_numrows, CFG_ADMIN_ITEMS_PAGE, $_GET['page'], TEXT_DISPLAY_NUMBER_OF_INFO_PANELS); ?></td>
	                  <td class="smallText" valign="center" align="right"><?php echo $info_split->display_links($panels_query_numrows, CFG_ADMIN_ITEMS_PAGE, MAX_DISPLAY_PAGE_LINKS, $_GET['page'], '', 'page'); ?></td>
	                </tr>
	              </table>
	            </td>
	          </tr>
	          <tr>
	            <td align="right" colspan="4"><?php if (!$_GET['action']) echo '<a href="' . shop_href_link(FILENAME_INFORMATION, 'page=' . $_GET['page'] . '&pID=' . $pInfo->information_panel_id . '&action=new_panel') . '">' . shop_image_button('button_insert.gif', IMAGE_INSERT) . '</a>&nbsp;'; ?></td>
	          </tr>
	        </table>
<?php
  }
?>
	        </td>
<?php
  $heading = array();
  $contents = array();

	switch ($_GET['action']) {
	  case 'new':
	    $heading[] = array('text' => TEXT_INFO_HEADING_NEW_INFO_DOCUMENT);

	    $contents = array('form' => shop_draw_form('panels', FILENAME_INFORMATION, 'page=' . $_GET['page'] . '&pID=' . $_GET['pID'] . '&panel=list&dID=' . $_GET['dID'] . '&action=insert_doc'));
	    $contents[] = array('text' => TEXT_INFO_NEW_INFO_DOCUMENT_INTRO);
	    $contents[] = array('text' => 'Select Language: ' . shop_draw_language_menu($lang));
	    $contents[] = array('text' => '<br />' . TEXT_INFO_DOCUMENT_NAME . '<br />' . shop_draw_input_field('name', '', 'style="font-size:10px;width:98%;"'));
	    $contents[] = array('text' => '<br />' . TEXT_INFO_DOCUMENT_BODY . '<br />' . shop_draw_texteditor_field('body'));
	    $contents[] = array('text' => '<input type="hidden" name="switchLanguage" value="false">');
	    $contents[] = array('text' => '<input type="hidden" name="language" value="' . $lang . '">');
	    $contents[] = array('text' => '<input type="hidden" name="new" value="' . $new . '">');
	    $contents[] = array('align' => 'center', 'text' => '<br />' . shop_image_submit('button_insert.gif', IMAGE_INSERT) . ' <a href="' . shop_href_link(FILENAME_INFORMATION, 'page=' . $_GET['page'] . '&pID=' . $_GET['pID'] . '&panel=list&dID=' . $_GET['dID']) . '">' . shop_image_button('button_cancel.gif', IMAGE_CANCEL) . '</a>');
	    break;
	  case 'edit':
	    $heading[] = array('text' => TEXT_INFO_HEADING_EDIT_INFO_DOCUMENT);
	    $contents = array('form' => shop_draw_form('panels', FILENAME_INFORMATION, 'page=' . $_GET['page'] . '&pID=' . $_GET['pID'] . '&panel=list&dID=' . $dInfo->information_document_id . '&action=save_doc'));
	    $contents[] = array('text' => TEXT_INFO_EDIT_INFO_DOCUMENT_INTRO);
	    $contents[] = array('text' => 'Select Language: ' . shop_draw_language_menu($lang));
	    $contents[] = array('text' => '<br />' . TEXT_INFO_DOCUMENT_NAME . '<br />' . shop_draw_input_field('name', $dInfo->name, 'style="font-size:10px;width:98%;"'));
	    $contents[] = array('text' => '<br />' . TEXT_INFO_DOCUMENT_BODY . '<br />' . shop_draw_texteditor_field('body', $dInfo->body));
	    $contents[] = array('text' => '<input type="hidden" name="switchLanguage" value="false">');
	    $contents[] = array('text' => '<input type="hidden" name="language" value="' . $lang . '">');
	    $contents[] = array('text' => '<input type="hidden" name="new" value="' . $new . '">');
	    $contents[] = array('align' => 'center', 'text' => '<br />' . shop_image_submit('button_update.gif', IMAGE_UPDATE) . ' <a href="' . shop_href_link(FILENAME_INFORMATION, 'page=' . $_GET['page'] . '&pID=' . $_GET['pID'] . '&panel=list&dID=' . $dInfo->information_document_id) . '">' . shop_image_button('button_cancel.gif', IMAGE_CANCEL) . '</a>');
	    break;
	  case 'delete':
	    $heading[] = array('text' => TEXT_INFO_HEADING_DELETE_INFO_DOCUMENT);

	    $contents = array('form' => shop_draw_form('panels', FILENAME_INFORMATION, 'page=' . $_GET['page'] . '&pID=' . $_GET['pID'] . '&panel=list&page=' . $_GET['page'] . '&dID=' . $dInfo->information_document_id . '&action=deleteconfirm_doc'));
	    $contents[] = array('text' => TEXT_INFO_DELETE_INFO_DOCUMENT_INTRO);
	    $contents[] = array('text' => '<br /><b>' . $dInfo->name);
	    $contents[] = array('align' => 'center', 'text' => '<br />' . shop_image_submit('button_delete.gif', IMAGE_DELETE) . ' <a href="' . shop_href_link(FILENAME_INFORMATION, 'page=' . $_GET['page'] . '&pID=' . $_GET['pID'] . '&panel=list&dID=' . $dInfo->information_document_id) . '">' . shop_image_button('button_cancel.gif', IMAGE_CANCEL) . '</a>');
	    break;
	  case 'new_panel':
	    $heading[] = array('text' => TEXT_INFO_HEADING_NEW_PANEL);

	    $contents = array('form' => shop_draw_form('panels', FILENAME_INFORMATION, 'page=' . $_GET['page'] . '&pID=' . $_GET['pID'] . '&action=insert_panel'));
	    $contents[] = array('text' => TEXT_INFO_NEW_PANEL_INTRO);
	    $contents[] = array('text' => 'Select Language: ' . shop_draw_language_menu($lang));
	    $contents[] = array('text' => '<br />' . TEXT_INFO_PANEL_NAME . '<br />' . shop_draw_input_field('name'));
	    $contents[] = array('text' => '<br />' . TEXT_INFO_PANEL_TAG . TEXT_INFO_PANEL_TAG_INFO . '<br />' . shop_draw_input_field('tag'));
	    $contents[] = array('text' => '<input type="hidden" name="switchLanguage" value="false">');
	    $contents[] = array('text' => '<input type="hidden" name="language" value="' . $lang . '">');
	    $contents[] = array('text' => '<input type="hidden" name="new" value="' . $new . '">');
	    $contents[] = array('align' => 'center', 'text' => '<br />' . shop_image_submit('button_insert.gif', IMAGE_INSERT) . ' <a href="' . shop_href_link(FILENAME_INFORMATION, 'page=' . $_GET['page'] . '&pID=' . $_GET['pID']) . '">' . shop_image_button('button_cancel.gif', IMAGE_CANCEL) . '</a>');
	    break;
	  case 'edit_panel':
	    $heading[] = array('text' => TEXT_INFO_HEADING_EDIT_PANEL);

	    $contents = array('form' => shop_draw_form('panels', FILENAME_INFORMATION, 'page=' . $_GET['page'] . '&pID=' . $pInfo->information_panel_id . '&action=save_panel'));
	    $contents[] = array('text' => TEXT_INFO_EDIT_PANEL_INTRO);
	    $contents[] = array('text' => 'Select Language: ' . shop_draw_language_menu($lang));
	    $contents[] = array('text' => '<br />' . TEXT_INFO_PANEL_NAME . '<br />' . shop_draw_input_field('name', $pInfo->name));
	    $contents[] = array('text' => '<br />' . TEXT_INFO_PANEL_TAG . TEXT_INFO_PANEL_TAG_INFO . '<br />' . shop_draw_input_field('tag', $pInfo->tag));
	    $contents[] = array('text' => '<input type="hidden" name="switchLanguage" value="false">');
	    $contents[] = array('text' => '<input type="hidden" name="language" value="' . $lang . '">');
	    $contents[] = array('text' => '<input type="hidden" name="new" value="' . $new . '">');
	    $contents[] = array('align' => 'center', 'text' => '<br />' . shop_image_submit('button_update.gif', IMAGE_UPDATE) . ' <a href="' . shop_href_link(FILENAME_INFORMATION, 'page=' . $_GET['page'] . '&pID=' . $pInfo->information_panel_id) . '">' . shop_image_button('button_cancel.gif', IMAGE_CANCEL) . '</a>');
	    break;
	  case 'delete_panel':
	    $heading[] = array('text' => TEXT_INFO_HEADING_DELETE_PANEL);

	    $contents = array('form' => shop_draw_form('panels', FILENAME_INFORMATION, 'page=' . $_GET['page'] . '&pID=' . $pInfo->information_panel_id . '&action=deleteconfirm_panel'));
	    $contents[] = array('text' => TEXT_INFO_DELETE_PANEL_INTRO);
	    $contents[] = array('text' => '<br /><b>' . $pInfo->name);
	    $contents[] = array('align' => 'center', 'text' => '<br />' . shop_image_submit('button_delete.gif', IMAGE_DELETE) . ' <a href="' . shop_href_link(FILENAME_INFORMATION, 'page=' . $_GET['page'] . '&pID=' . $pInfo->information_panel_id) . '">' . shop_image_button('button_cancel.gif', IMAGE_CANCEL) . '</a>');
	    break;
	  default:
	    if (is_object($pInfo)) {
	      $heading[] = array('text' => $pInfo->name);

	      $contents[] = array('text' => TEXT_INFO_PANEL_TAG . ' ' . $pInfo->tag);
	      $contents[] = array('align' => 'center', 'text' => '<br /><a href="' . shop_href_link(FILENAME_INFORMATION, 'page=' . $_GET['page'] . '&pID=' . $pInfo->information_panel_id . '&action=edit_panel') . '">' . shop_image_button('button_edit.gif', IMAGE_EDIT) . '</a> <a href="' . shop_href_link(FILENAME_INFORMATION, 'page=' . $_GET['page'] . '&pID=' . $pInfo->information_panel_id . '&action=delete_panel') . '">' . shop_image_button('button_delete.gif', IMAGE_DELETE) . '</a>');
	    } elseif (is_object($dInfo)) {
	      $heading[] = array('text' => $dInfo->name);
	      $contents[] = array('text' => '<b>' . TEXT_INFO_DOCUMENT_BODY . '</b><br />' . ((strlen($dInfo->body) > 128) ? substr($dInfo->body,0,128) . '...' : $dInfo->body));

	      $contents[] = array('align' => 'center', 'text' => '<a href="' . shop_href_link(FILENAME_INFORMATION, 'page=' . $_GET['page'] . '&pID=' . $_GET['pID'] . '&panel=list&dID=' . $dInfo->information_document_id . '&action=edit') . '">' . shop_image_button('button_edit.gif', IMAGE_EDIT) . '</a> <a href="' . shop_href_link(FILENAME_INFORMATION, 'page=' . $_GET['page'] . '&pID=' . $_GET['pID'] . '&panel=list&dID=' . $dInfo->information_document_id . '&action=delete') . '">' . shop_image_button('button_delete.gif', IMAGE_DELETE) . '</a>');
	    }
	    break;
	}

  if ( ($heading) && ($contents) ) {
	echo '            <td class="infoBoxContent" width="25%" valign="top">' . UNIX_RETURN;

	$box = new box;
	echo $box->infoBox($heading, $contents);

	echo '            </td>' . UNIX_RETURN;
  }
?>
	      </tr>
	</table></td>
	</tr>
	<tr>
		<td background="images/win_div.gif" width="8" height="1"></td>
	</tr>
	<tr>
		<td align="left" valign="center" width="100%" height="14" background="images/base_bg.gif">
<?php
include('contents/footer.php');
?>
		</td>
	</tr>
</table>
<!-- body_eof //-->
</body>
</html>
