<?php
/*
	eShox OS
	http://www.eshox.com/

	Copyright (c) 2003, Secure.cc, Inc.

	Released under the GNU General Public License

*/

  require('contents/resources.php');

define('HEADING_TITLE', 'Product Specials');

define('TABLE_HEADING_PRODUCTS', 'Products');
define('TABLE_HEADING_PRODUCTS_PRICE', 'Products Price');
define('TABLE_HEADING_STATUS', 'Setting');

define('TEXT_SPECIALS_PRODUCT', 'Product:');
define('TEXT_SPECIALS_SPECIAL_PRICE', 'Special Price:');
define('TEXT_SPECIALS_EXPIRES_DATE', 'Expiry Date:');
define('TEXT_SPECIALS_PRICE_TIP', '<b>Specials Notes:</b> You can enter a percentage to deduct in the Specials Price field, for example: 20%. Leave the expiry date empty for no expiration');

define('TEXT_EDIT_INTRO', 'Please make any necessary changes');
define('TEXT_NEW_INTRO', 'Please fill out the following information for the product special');
define('TEXT_INFO_DATE_ADDED', 'Date Added:');
define('TEXT_INFO_LAST_MODIFIED', 'Last Modified:');
define('TEXT_INFO_NEW_PRICE', 'New Price:');
define('TEXT_INFO_ORIGINAL_PRICE', 'Original Price:');
define('TEXT_INFO_PERCENTAGE', 'Percentage:');
define('TEXT_INFO_EXPIRES_DATE', 'Expires At:');
define('TEXT_INFO_STATUS_CHANGE', 'Status Change:');

define('TEXT_INFO_HEADING_DELETE_SPECIALS', 'Delete Special');
define('TEXT_INFO_DELETE_INTRO', 'Are you sure you want to delete the special products price?');

  $currencies = new currencies();
  
  switch ($_GET['action']) {
	case 'setflag':
	  shop_set_specials_status($_GET['id'], ($_GET['flag'] ? 1 : 0));
	  shop_redirect(shop_href_link(FILENAME_SPECIALS, 'sID=' . $_GET['id']));
	  break;
	case 'insert':
	  $specials_price = $_POST['specials_price'];
	  if (substr($_POST['specials_price'], -1) == '%') {
	    $new_special_insert_query = shop_db_query("select products_id, products_price from " . DB_PREFIX . "products where products_id = '" . $_POST['products_id'] . "'");
	    $new_special_insert = shop_db_fetch_array($new_special_insert_query);
	    $products_price = shop_get_price($new_special_insert['products_price'],1);
	    $specials_price = ($products_price - (($_POST['specials_price'] / 100) * $products_price));
	  }
	  
	  $expires_date = ($_POST['expires_date']['year'] . '-' . $_POST['expires_date']['month'] . '-' . $_POST['expires_date']['day']);

	  shop_db_query("insert into " . DB_PREFIX . "specials (products_id, specials_new_products_price, specials_date_added, expires_date, status) values ('" . $_POST['products_id'] . "', '$specials_price', now(), '$expires_date', '1')");
	  shop_redirect(shop_href_link(FILENAME_SPECIALS, 'page=' . $_GET['page']));
	  break;
	case 'update':
	  $specials_price = $_POST['specials_price'];
	  if (substr($_POST['specials_price'], -1) == '%') {
	    $products_price = shop_get_price($_POST['products_price'],1);
	    $specials_price = ($products_price - (($_POST['specials_price'] / 100) * $products_price));
	  }
	  
	  $expires_date = ($_POST['expires_date']['year'] . '-' . $_POST['expires_date']['month'] . '-' . $_POST['expires_date']['day']);

	  shop_db_query("update " . DB_PREFIX . "specials set specials_new_products_price = '$specials_price', specials_last_modified = now(), expires_date = '$expires_date' where specials_id = '" . $_POST['specials_id'] . "'");
	  shop_redirect(shop_href_link(FILENAME_SPECIALS, 'page=' . $_GET['page'] . '&sID=' . $_POST['specials_id']));
	  break;
	case 'deleteconfirm':
	  $specials_id = ($_GET['sID']);

	  shop_db_query("delete from " . DB_PREFIX . "specials where specials_id = '" . ($specials_id) . "'");

	  shop_redirect(shop_href_link(FILENAME_SPECIALS, 'page=' . $_GET['page']));
	  break;
  }

?><html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>eShox: <?php echo HEADING_TITLE; ?></title>
<link rel="stylesheet" type="text/css" href="contents/stylesheet.css">
<script language="JavaScript" src="contents/eshox_os/scripts.js" type="text/javascript"></script>
<?php
  if ( ($_GET['action'] == 'new') || ($_GET['action'] == 'edit') ) {

  }
?>
</head>
<body marginwidth="0" marginheight="0" topmargin="0" bottommargin="0" leftmargin="0" rightmargin="0" bgcolor="333333">
<!-- header //-->
<!-- header_eof //-->

<!-- body //-->
<table width="100%" border="0" cellpadding="0" cellspacing="0">
<?php
$help_page = MYSELF;
include('contents/header.php');
?>
</table><table border="0" width="100%" cellspacing="8" cellpadding="1" bgcolor="333333">
  <tr>
	<td width="<?php echo BOX_WIDTH; ?>" valign="top"><table border="0" width="160" cellspacing="0" cellpadding="0">
<!-- left_navigation //-->
<?php require('contents/navbar.php'); ?>
<!-- left_navigation_eof //-->
	</table></td>
<!-- body_text //-->
	<td width="100%" valign="top">
	<table width="100%" border="0" cellpadding="0" cellspacing="0">
	    <tr>
	        <td><img src="images/win_header_left.gif" width="8" height="22"></td>
	        <td width="14" align="left" valign="center" background="images/win_header_bg.gif"><a href="index.php"><img src="images/close.gif" width="13" height="14" border="0"></a></td>
	        <td width="6" align="left" valign="center" background="images/win_header_bg.gif"><img src="images/pixel_trans.gif" border="0" width="6" height="14"></td>
	        <td width="14" align="left" valign="center" background="images/win_header_bg.gif"><a href="<?php echo MYSELF . '?page_toggle=true'; ?>"><img src="images/max.gif" width="13" height="14" border="0"></a></td>
	        <td class="windowHeading" align="center" valign="center" height="22" width="100%" background="images/win_header_bg.gif"><?php echo HEADING_TITLE; ?></td>
	        <td width="34" background="images/win_header_bg.gif"></td>
	        <td><img src="images/win_header_right.gif" width="8" height="22"></td>
	    </tr>
	</table>
	<table width="100%" border="0" cellpadding="0" cellspacing="0">
	<tr>
		<td width="100%" background="images/win_header_column.gif"><table border="0" width="100%" cellspacing="0" cellpadding="0">
	  <tr>
	        <td valign="top"><table border="0" width="100%" cellspacing="0" cellpadding="0">
	          <tr>
	            <td height="17" valign="center" class="dataTableContent"> &nbsp; <?php echo TABLE_HEADING_PRODUCTS; ?></td>
	            <td height="17" valign="center" class="dataTableContent" align="right"><?php echo TABLE_HEADING_PRODUCTS_PRICE; ?></td>
	            <td height="17" valign="center" class="dataTableContent" align="right"></td>
	            <td height="17" valign="center" class="dataTableContent" align="right">&nbsp;</td>
	          </tr>
<?php
	$specials_query_raw = "select p.products_id, pd.products_name, p.products_price, s.specials_id, s.specials_new_products_price, s.specials_date_added, s.specials_last_modified, s.expires_date, s.date_status_change, s.status from " . DB_PREFIX . "products p, " . DB_PREFIX . "specials s, " . DB_PREFIX . "products_description pd where p.products_id = pd.products_id and pd.language_id = '$languages_id' and p.products_id = s.products_id order by pd.products_name";
	$specials_split = new splitPageResults($_GET['page'], CFG_ADMIN_ITEMS_PAGE, $specials_query_raw, $specials_query_numrows);
	$specials_query = shop_db_query($specials_query_raw);
	while ($specials = shop_db_fetch_array($specials_query)) {
	  if (!is_object($sInfo) && (!($_GET['sID'] || $_GET['action'] == 'new') || $_GET['sID'] == $specials['specials_id'])) {
	    $sInfo = new objectInfo($specials);
	  }
	  if (is_object($sInfo) && $specials['specials_id'] == $sInfo->specials_id) {
	    echo '                  <tr class="dataTableRowSelected">' . UNIX_RETURN;
	  } else {
	    echo '                  <tr class="dataTableRow" onmouseover="this.style.cursor=\'pointer\'" onclick="document.location.href=\'' . shop_href_link(FILENAME_SPECIALS, 'page=' . $_GET['page'] . '&sID=' . $specials['specials_id']) . '\'">' . UNIX_RETURN;
	  }
?>
	            <td  class="dataTableContent" height="20"> &nbsp; <?php echo $specials['products_name']; ?></td>
	            <td  class="dataTableContent" align="right"><span class="oldPrice"><?php echo $currencies->format($specials['products_price']); ?></span> <span class="specialPrice"><?php echo $currencies->format($specials['specials_new_products_price']); ?></span></td>
	            <td  class="dataTableContent" align="right">
<?php
	  if ($specials['status'] == '1') {
	    echo shop_image(DIR_WS_IMAGES . 'icon_status_green.gif', IMAGE_ICON_STATUS_GREEN, 12, 12) . '&nbsp;&nbsp;<a href="' . shop_href_link(FILENAME_SPECIALS, 'action=setflag&flag=0&id=' . $specials['specials_id']) . '">' . shop_image(DIR_WS_IMAGES . 'icon_status_red_light.gif', IMAGE_ICON_STATUS_RED_LIGHT, 12, 12) . '</a>';
	  } else {
	    echo '<a href="' . shop_href_link(FILENAME_SPECIALS, 'action=setflag&flag=1&id=' . $specials['specials_id']) . '">' . shop_image(DIR_WS_IMAGES . 'icon_status_green_light.gif', IMAGE_ICON_STATUS_GREEN_LIGHT, 12, 12) . '</a>&nbsp;&nbsp;' . shop_image(DIR_WS_IMAGES . 'icon_status_red.gif', IMAGE_ICON_STATUS_RED, 12, 12);
	  }
?></td>
	            <td class="dataTableContent" align="right"><?php 
if (is_object($sInfo) && $specials['specials_id'] == $sInfo->specials_id) {
  echo shop_image(DIR_WS_IMAGES . 'icon_arrow_right.gif', '');
} else {
  echo shop_image(DIR_WS_IMAGES . 'pixel_trans.gif', '', 16, 16); } ?></td>
	  </tr>
<?php

}
?>
	          <tr>
	            <td colspan="4">
	              <table border="0" width="100%" cellpadding="0"cellspacing="4">
	                <tr>
	                  <td class="smallText" valign="top"><?php echo $specials_split->display_count($specials_query_numrows, CFG_ADMIN_ITEMS_PAGE, $_GET['page'], TEXT_DISPLAY_NUMBER_OF_SPECIALS); ?></td>
	                  <td class="smallText" align="right"><?php echo $specials_split->display_links($specials_query_numrows, CFG_ADMIN_ITEMS_PAGE, MAX_DISPLAY_PAGE_LINKS, $_GET['page']); ?></td>
	                </tr>
	              </table>
	            </td>
	          </tr>
<?php
  if (!$_GET['action']) {
?>
	              <tr> 
	                <td colspan="4" align="right"><?php echo '<a href="' . shop_href_link(FILENAME_SPECIALS, 'page=' . $_GET['page'] . '&action=new') . '">' . shop_image_button('button_insert.gif', IMAGE_INSERT) . '</a>&nbsp;'; ?></td>
	              </tr>
<?php
  }
?>
	        </table></td>
<?php
  $heading = array();
  $contents = array();
  switch ($_GET['action']) {
	case 'delete':
	  $heading[] = array('text' => TEXT_INFO_HEADING_DELETE_SPECIALS);

	  $contents = array('form' => shop_draw_form('specials', FILENAME_SPECIALS, 'page=' . $_GET['page'] . '&sID=' . $sInfo->specials_id . '&action=deleteconfirm'));
	  $contents[] = array('text' => TEXT_INFO_DELETE_INTRO);
	  $contents[] = array('text' => '<br /><b>' . $sInfo->products_name . '</b>');
	  $contents[] = array('align' => 'center', 'text' => '<br />' . shop_image_submit('button_delete.gif', IMAGE_DELETE) . '&nbsp;<a href="' . shop_href_link(FILENAME_SPECIALS, 'page=' . $_GET['page'] . '&sID=' . $sInfo->specials_id) . '">' . shop_image_button('button_cancel.gif', IMAGE_CANCEL) . '</a>');
	  break;
	case 'new':
	case 'edit':
	  if ($_GET['action'] == 'new') {
	    $heading[] = array('text' => 'New Product Special');
	    $specials_array = array();
	    $specials_query = shop_db_query("select p.products_id from " . DB_PREFIX . "products p, " . DB_PREFIX . "specials s where s.products_id = p.products_id");
	    while ($specials = shop_db_fetch_array($specials_query)) $specials_array[] = $specials['products_id'];
		unset($sInfo);
	    $contents[] = array('text' => TEXT_NEW_INTRO . shop_draw_form('new_special', FILENAME_SPECIALS, shop_get_all_get_params(array('sID', 'action', 'info')) . '&action=insert'));
	    $contents[] = array('text' => 'Product: ' . shop_draw_products_pull_down('products_id', 'style="font-size:10px"', $specials_array));
	  } else {
	    $heading[] = array('text' => $sInfo->products_name);
	    $contents[] = array('text' => TEXT_EDIT_INTRO . shop_draw_form('edit_special', FILENAME_SPECIALS, shop_get_all_get_params(array('sID', 'action', 'info')) . 'sID=' . $sInfo->specials_id . '&action=update'));
	  }
	  $contents[] = array('text' => shop_draw_hidden_field('products_price', $sInfo->products_price));
	  $contents[] = array('text' => TEXT_SPECIALS_SPECIAL_PRICE . '<br />' . shop_draw_input_field('specials_price', $sInfo->specials_new_products_price));
	  $contents[] = array('text' => '<br />' . TEXT_SPECIALS_EXPIRES_DATE . '<br />' . shop_draw_date_input('expires_date', (($sInfo->expires_date) ? $sInfo->expires_date : 0), false));
	  if ($_GET['action'] == 'new') {
	    $button_insert = shop_image_submit('button_insert.gif', IMAGE_INSERT);
	  } else {
	    $button_insert = shop_draw_hidden_field('specials_id', $_GET['sID']) . shop_image_submit('button_update.gif', IMAGE_UPDATE);
	  }
	  $contents[] = array('align' => 'center', 'text' => '<br />' . $button_insert . ' &nbsp;<a href="' . shop_href_link(FILENAME_SPECIALS, 'page=' . $_GET['page'] . '&sID=' . $_GET['sID']) . '">' . shop_image_button('button_cancel.gif', IMAGE_CANCEL) . '</a>');
	  $contents[] = array('text' => '<p><br />' . TEXT_SPECIALS_PRICE_TIP);
	  break;
	default:
	  if (is_object($sInfo)) {
	    $heading[] = array('text' => $sInfo->products_name);

	    $contents[] = array('text' => TEXT_INFO_DATE_ADDED . ' ' . shop_date_short($sInfo->specials_date_added));
	    if ($sInfo->specials_last_modified) {
	      $contents[] = array('text' => TEXT_INFO_LAST_MODIFIED . ' ' . shop_date_short($sInfo->specials_last_modified));
	    }
	    $contents[] = array('text' => TEXT_INFO_ORIGINAL_PRICE . ' ' . $currencies->format($sInfo->products_price));
	    $contents[] = array('text' => '' . TEXT_INFO_NEW_PRICE . ' ' . $currencies->format($sInfo->specials_new_products_price));
	    if ($sInfo->products_price > 0) {
	      $contents[] = array('text' => TEXT_INFO_PERCENTAGE . ' ' . number_format(100 - (($sInfo->specials_new_products_price / shop_get_price($sInfo->products_price,1)) * 100)) . '%');
	    }
	    if ($sInfo->expires_date >= 1) {
	      $contents[] = array('text' => TEXT_INFO_EXPIRES_DATE . ' <b>' . shop_date_short($sInfo->expires_date));
	    }
	    $contents[] = array('align' => 'center', 'text' => '<br /><a href="' . shop_href_link(FILENAME_SPECIALS, 'page=' . $_GET['page'] . '&sID=' . $sInfo->specials_id . '&action=edit') . '">' . shop_image_button('button_edit.gif', IMAGE_EDIT) . '</a> <a href="' . shop_href_link(FILENAME_SPECIALS, 'page=' . $_GET['page'] . '&sID=' . $sInfo->specials_id . '&action=delete') . '">' . shop_image_button('button_delete.gif', IMAGE_DELETE) . '</a>');
	  }
	  break;
  }
  if ( ($heading) && ($contents) ) {
	echo '            <td width="250" valign="top" class="infoBoxContent">' . UNIX_RETURN;

	$box = new box;
	echo $box->infoBox($heading, $contents);

	echo '            </td>' . UNIX_RETURN;
  }
?>
	      </tr>
	</table></td>
	</tr>
	<tr>
		<td background="images/win_div.gif" width="8" height="1"></td>
	</tr>
	<tr>
		<td align="left" valign="center" width="100%" height="17" background="images/base_bg.gif">
<?php
include('contents/footer.php');
?>
		</td>
	</tr>
</table>
  </tr>
</table>
<!-- body_eof //-->

</body>
</html>
