<?php
/*
	eShox OS
	http://www.eshox.com/

	Copyright (c) 2003, Secure.cc, Inc.

	Released under the GNU General Public License

*/

require('contents/resources.php');

define('HEADING_TITLE', 'Tax Classes');

define('TABLE_HEADING_TAX_CLASSES', 'Tax Classes');

define('TEXT_INFO_EDIT_INTRO', 'Please make any necessary changes');
define('TEXT_INFO_CLASS_TITLE', 'Tax Class Title:');
define('TEXT_INFO_CLASS_DESCRIPTION', 'Description:');
define('TEXT_INFO_DATE_ADDED', 'Date Added:');
define('TEXT_INFO_LAST_MODIFIED', 'Last Modified:');
define('TEXT_INFO_INSERT_INTRO', 'Please enter the new tax class with its related data');
define('TEXT_INFO_DELETE_INTRO', 'Are you sure you want to delete this tax class?');
define('TEXT_INFO_HEADING_NEW_TAX_CLASS', 'New Tax Class');
define('TEXT_INFO_HEADING_EDIT_TAX_CLASS', 'Edit Tax Class');
define('TEXT_INFO_HEADING_DELETE_TAX_CLASS', 'Delete Tax Class');

if ($_GET['action']) {
	switch ($_GET['action']) {
		case 'insert':
			$tax_class_title = ($_POST['tax_class_title']);
			$tax_class_description = ($_POST['tax_class_description']);
			$date_added = ($_POST['date_added']);
	
			shop_db_query("insert into " . DB_PREFIX . "tax_class (tax_class_title, tax_class_description, date_added) values ('" . ($tax_class_title) . "', '" . ($tax_class_description) . "', now())");
			shop_redirect(shop_href_link(FILENAME_TAX_CLASSES));
			break;
		case 'save':
			$tax_class_id = ($_GET['tID']);
			$tax_class_title = ($_POST['tax_class_title']);
			$tax_class_description = ($_POST['tax_class_description']);
			$last_modified = ($_POST['last_modified']);
	
			shop_db_query("update " . DB_PREFIX . "tax_class set tax_class_id = '" . ($tax_class_id) . "', tax_class_title = '" . ($tax_class_title) . "', tax_class_description = '" . ($tax_class_description) . "', last_modified = now() where tax_class_id = '" . ($tax_class_id) . "'");
			shop_redirect(shop_href_link(FILENAME_TAX_CLASSES, 'page=' . $_GET['page'] . '&tID=' . $tax_class_id));
			break;
		case 'deleteconfirm':
			$tax_class_id = ($_GET['tID']);
	
			shop_db_query("delete from " . DB_PREFIX . "tax_class where tax_class_id = '" . ($tax_class_id) . "'");
			shop_redirect(shop_href_link(FILENAME_TAX_CLASSES, 'page=' . $_GET['page']));
			break;
	}
}

?><html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>eShox: <?php echo HEADING_TITLE; ?></title>
<link rel="stylesheet" type="text/css" href="contents/stylesheet.css">
<script language="JavaScript" src="contents/eshox_os/scripts.js" type="text/javascript"></script>
</head>
<body marginwidth="0" marginheight="0" topmargin="0" bottommargin="0" leftmargin="0" rightmargin="0" bgcolor="333333">
<!-- header //-->
<!-- header_eof //-->

<!-- body //-->
<table width="100%" border="0" cellpadding="0" cellspacing="0">
<?php
$help_page = 'tax.php';
include('contents/header.php');
?>
</table><table border="0" width="100%" cellspacing="8" cellpadding="1" bgcolor="333333">
  <tr>
	<td width="<?php echo BOX_WIDTH; ?>" valign="top"><table border="0" width="160" cellspacing="0" cellpadding="0">
<!-- left_navigation //-->
<?php require('contents/navbar.php'); ?>
<!-- left_navigation_eof //-->
	</table></td>
<!-- body_text //-->
	<td width="100%" valign="top">
	<table width="100%" border="0" cellpadding="0" cellspacing="0">
	    <tr>
	        <td><img src="images/win_header_left.gif" width="8" height="22"></td>
	        <td width="14" align="left" valign="center" background="images/win_header_bg.gif"><a href="index.php"><img src="images/close.gif" width="13" height="14" border="0"></a></td>
	        <td width="6" align="left" valign="center" background="images/win_header_bg.gif"><img src="images/pixel_trans.gif" border="0" width="6" height="14"></td>
	        <td width="14" align="left" valign="center" background="images/win_header_bg.gif"><a href="<?php echo MYSELF . '?page_toggle=true'; ?>"><img src="images/max.gif" width="13" height="14" border="0"></a></td>
	        <td class="windowHeading" align="center" valign="center" height="22" width="100%" background="images/win_header_bg.gif"><?php echo HEADING_TITLE; ?></td>
	        <td width="34" background="images/win_header_bg.gif"></td>
	        <td><img src="images/win_header_right.gif" width="8" height="22"></td>
	    </tr>
	</table>
	<table width="100%" border="0" cellpadding="0" cellspacing="0">
	<tr>
		<td width="100%" background="images/win_header_column.gif"><table border="0" width="100%" cellspacing="0" cellpadding="0">
	  <tr>
	    <td><table border="0" width="100%" cellspacing="0" cellpadding="0">
	      <tr>
	        <td valign="top"><table border="0" width="100%" cellspacing="0" cellpadding="0">
	          <tr>
	            <td height="17" valign="center" class="dataTableContent"> &nbsp; <?php echo TABLE_HEADING_TAX_CLASSES; ?></td>
	            <td height="17" valign="center" class="dataTableContent" align="right">&nbsp;</td>
	          </tr>
<?php
  $classes_query_raw = "select tax_class_id, tax_class_title, tax_class_description, last_modified, date_added from " . DB_PREFIX . "tax_class order by tax_class_title";
  $classes_split = new splitPageResults($_GET['page'], CFG_ADMIN_ITEMS_PAGE, $classes_query_raw, $classes_query_numrows);
  $classes_query = shop_db_query($classes_query_raw);
  while ($classes = shop_db_fetch_array($classes_query)) {
	if (((!$_GET['tID']) || (@$_GET['tID'] == $classes['tax_class_id'])) && (!$tcInfo) && (substr($_GET['action'], 0, 3) != 'new')) {
	  $tcInfo = new objectInfo($classes);
	}

	if ( (is_object($tcInfo)) && ($classes['tax_class_id'] == $tcInfo->tax_class_id) ) {
	  echo '              <tr class="dataTableRowSelected">' . UNIX_RETURN;
	} else {
	  echo'              <tr class="dataTableRow" onmouseover="this.style.cursor=\'pointer\'" onclick="document.location.href=\'' . shop_href_link(FILENAME_TAX_CLASSES, 'page=' . $_GET['page'] . '&tID=' . $classes['tax_class_id']) . '\'">' . UNIX_RETURN;
	}
?>
	            <td class="dataTableContent" height="20"> &nbsp; <?php echo $classes['tax_class_title']; ?></td>
	            <td class="dataTableContent" align="right"><?php if ( (is_object($tcInfo)) && ($classes['tax_class_id'] == $tcInfo->tax_class_id) ) { echo shop_image(DIR_WS_IMAGES . 'icon_arrow_right.gif', ''); } else { echo '<a href="' . shop_href_link(FILENAME_TAX_CLASSES, 'page=' . $_GET['page'] . '&tID=' . $classes['tax_class_id']) . '"></a>'; } ?></td>
	          </tr>
<?php
  }
?>
	          <tr>
	            <td colspan="2">
	              <table border="0" width="100%" cellspacing="0" cellpadding="4">
	                <tr>
	                  <td class="smallText" valign="top"><?php echo $classes_split->display_count($classes_query_numrows, CFG_ADMIN_ITEMS_PAGE, $_GET['page'], TEXT_DISPLAY_NUMBER_OF_TAX_CLASSES); ?></td>
	                  <td class="smallText" align="right"><?php echo $classes_split->display_links($classes_query_numrows, CFG_ADMIN_ITEMS_PAGE, MAX_DISPLAY_PAGE_LINKS, $_GET['page']); ?></td>
	                </tr>
	              </table>
	            </td>
	          </tr>
<?php
  if (!$_GET['action']) {
?>
	              <tr>
	                <td colspan="2" align="right"><?php echo '<a href="' . shop_href_link(FILENAME_TAX_CLASSES, 'page=' . $_GET['page'] . '&action=new') . '">' . shop_image_button('button_insert.gif', IMAGE_NEW_TAX_CLASS) . '</a>&nbsp;'; ?></td>
	              </tr>
<?php
  }
?>
	        </table></td>
<?php
  $heading = array();
  $contents = array();
  switch ($_GET['action']) {
	case 'new':
	  $heading[] = array('text' => TEXT_INFO_HEADING_NEW_TAX_CLASS);

	  $contents = array('form' => shop_draw_form('classes', FILENAME_TAX_CLASSES, 'page=' . $_GET['page'] . '&action=insert'));
	  $contents[] = array('text' => TEXT_INFO_INSERT_INTRO);
	  $contents[] = array('text' => '<br />' . TEXT_INFO_CLASS_TITLE . '<br />' . shop_draw_input_field('tax_class_title'));
	  $contents[] = array('text' => '<br />' . TEXT_INFO_CLASS_DESCRIPTION . '<br />' . shop_draw_input_field('tax_class_description','','maxlength="64"'));
	  $contents[] = array('align' => 'center', 'text' => '<br />' . shop_image_submit('button_insert.gif', IMAGE_INSERT) . '&nbsp;<a href="' . shop_href_link(FILENAME_TAX_CLASSES, 'page=' . $_GET['page']) . '">' . shop_image_button('button_cancel.gif', IMAGE_CANCEL) . '</a>');
	  break;
	case 'edit':
	  $heading[] = array('text' => TEXT_INFO_HEADING_EDIT_TAX_CLASS);

	  $contents = array('form' => shop_draw_form('classes', FILENAME_TAX_CLASSES, 'page=' . $_GET['page'] . '&tID=' . $tcInfo->tax_class_id . '&action=save'));
	  $contents[] = array('text' => TEXT_INFO_EDIT_INTRO);
	  $contents[] = array('text' => '<br />' . TEXT_INFO_CLASS_TITLE . '<br />' . shop_draw_input_field('tax_class_title', $tcInfo->tax_class_title));
	  $contents[] = array('text' => '<br />' . TEXT_INFO_CLASS_DESCRIPTION . '<br />' . shop_draw_input_field('tax_class_description', $tcInfo->tax_class_description,'maxlength="64"'));
	  $contents[] = array('align' => 'center', 'text' => '<br />' . shop_image_submit('button_update.gif', IMAGE_UPDATE) . '&nbsp;<a href="' . shop_href_link(FILENAME_TAX_CLASSES, 'page=' . $_GET['page'] . '&tID=' . $tcInfo->tax_class_id) . '">' . shop_image_button('button_cancel.gif', IMAGE_CANCEL) . '</a>');
	  break;
	case 'delete':
	  $heading[] = array('text' => TEXT_INFO_HEADING_DELETE_TAX_CLASS);

	  $contents = array('form' => shop_draw_form('classes', FILENAME_TAX_CLASSES, 'page=' . $_GET['page'] . '&tID=' . $tcInfo->tax_class_id . '&action=deleteconfirm'));
	  $contents[] = array('text' => TEXT_INFO_DELETE_INTRO);
	  $contents[] = array('text' => '<br /><b>' . $tcInfo->tax_class_title);
	  $contents[] = array('align' => 'center', 'text' => '<br />' . shop_image_submit('button_delete.gif', IMAGE_DELETE) . '&nbsp;<a href="' . shop_href_link(FILENAME_TAX_CLASSES, 'page=' . $_GET['page'] . '&tID=' . $tcInfo->tax_class_id) . '">' . shop_image_button('button_cancel.gif', IMAGE_CANCEL) . '</a>');
	  break;
	default:
	  if (is_object($tcInfo)) {
	    $heading[] = array('text' => $tcInfo->tax_class_title);

	    $contents[] = array('text' => TEXT_INFO_CLASS_DESCRIPTION . ' ' . $tcInfo->tax_class_description);
	    $contents[] = array('align' => 'center', 'text' => '<br /><a href="' . shop_href_link(FILENAME_TAX_CLASSES, 'page=' . $_GET['page'] . '&tID=' . $tcInfo->tax_class_id . '&action=edit') . '">' . shop_image_button('button_edit.gif', IMAGE_EDIT) . '</a> <a href="' . shop_href_link(FILENAME_TAX_CLASSES, 'page=' . $_GET['page'] . '&tID=' . $tcInfo->tax_class_id . '&action=delete') . '">' . shop_image_button('button_delete.gif', IMAGE_DELETE) . '</a>');
	  }
	  break;
  }
  if ( ($heading) && ($contents) ) {
	echo '            <td class="infoBoxContent" width="25%" valign="top">' . UNIX_RETURN;

	$box = new box;
	echo $box->infoBox($heading, $contents);

	echo '            </td>' . UNIX_RETURN;
  }
?>
	      </tr>
	    </table></td>
	  </tr>
	</table></td>
	</tr>
	<tr>
		<td background="images/win_div.gif" width="8" height="1"></td>
	</tr>
	<tr>
		<td align="left" valign="center" width="100%" height="14" background="images/base_bg.gif">
<?php
include('contents/footer.php');
?>
		</td>
	</tr>
</table>
<!-- body_eof //-->
</body>
</html>
