<?php
/*
  eShox 3 Commerce Solution
  http://www.eshox.com/
  
  Copyright (c) 2003, Secure.cc, Inc.

*/

$email_address = $_POST['email_address'];
$email_address_flag = (@$_POST['email_address_flag']);
$telephone = ($_POST['phone']);
$fax = ($_POST['fax']);
$password = ($_POST['password']);
$confirmation = ($_POST['confirmation']);

$company = ($_POST['company'][0]);
$firstname = ($_POST['firstname'][0]);
$lastname = ($_POST['lastname'][0]);
$street_address = ($_POST['street_address'][0]);
$street_address_2 = ($_POST['street_address_2'][0]);
$postcode = ($_POST['zip'][0]);
$city = ($_POST['city'][0]);
$zone_id = ($_POST['zone_id'][0]);
$state = ($_POST['state'][0]);
$country = ($_POST['country'][0]);

$shipping_company = ($_POST['company'][1]);
$shipping_firstname = ($_POST['firstname'][1]);
$shipping_lastname = ($_POST['lastname'][1]);
$shipping_street_address = ($_POST['street_address'][1]);
$shipping_street_address_2 = ($_POST['street_address_2'][1]);
$shipping_postcode = ($_POST['zip'][1]);
$shipping_city = ($_POST['city'][1]);
$shipping_zone_id = ($_POST['zone_id'][1]);
$shipping_state = ($_POST['state'][1]);
$shipping_country = ($_POST['country'][1]);

$error = false;

$resale_number = (@$_POST['resale_number']);

$check_array = array('AT' => 'U[0-9]{8}$',
					 'BE' => '[0-9]{9}$',
					 'DE' => '[0-9]{9}$',
					 'DK' => '[0-9]{8}$',
					 'EL' => '[0-9]{9}$',
					 'ES' => '([A-Za-z][0-9]{8}|[A-Za-z][0-9]{7}[A-Za-z]|[0-9]{8}[A-Za-z])$',
					 'FI' => '[0-9]{8}$',
					 'FR' => '([0-9]{11}|[A-HJ-NP-Za-hj-np-z][0-9]{10}|[A-HJ-NP-Za-hj-np-z]{2}[0-9]{9}|[0-9][A-HJ-NP-Za-hj-np-z][0-9]{9})$',
					 'GB' => '([0-9]{9}|[0-9]{12})$',
					 'IE' => '([0-9]{7}[A-Za-z]|[0-9][A-Za-z][0-9]{5}[A-Za-z])$',
					 'IT' => '[0-9]{11}$',
					 'LU' => '[0-9]{8}$',
					 'NL' => '[0-9]{9}B[0-9]{2}$',
					 'PT' => '[0-9]{9}$',
					 'SE' => '[0-9]{10}01$');
					 
if (strlen($resale_number)) {
	if (!ereg($check_array[substr($resale_number,0,2)], substr($resale_number,2))) {
	  $entry_vat_error = true; $error = true;
	}
}

if (!shop_validate_email($email_address)) {
  $error = true; $entry_email_address_error = true;
}

if ($password != '' && (strlen($password) < ENTRY_PASSWORD_MIN_LENGTH || $password != $confirmation)) {
  $error = true; $entry_password_error = true;
}

if (strlen($firstname) < ENTRY_FIRST_NAME_MIN_LENGTH || strlen($shipping_firstname) < ENTRY_FIRST_NAME_MIN_LENGTH) {
  $error = true; $entry_firstname_error = true;
}

if (strlen($lastname) < ENTRY_LAST_NAME_MIN_LENGTH || strlen($shipping_lastname) < ENTRY_LAST_NAME_MIN_LENGTH) {
  $error = true; $entry_lastname_error = true;
}

if (strlen($street_address) < ENTRY_STREET_ADDRESS_MIN_LENGTH || strlen($shipping_street_address) < ENTRY_STREET_ADDRESS_MIN_LENGTH) {
  $error = true; $entry_street_address_error = true;
}

if (strlen($city) < ENTRY_CITY_MIN_LENGTH || strlen($shipping_city) < ENTRY_CITY_MIN_LENGTH) {
  $error = true; $entry_city_error = true;
}

if (strlen($telephone) < ENTRY_TELEPHONE_MIN_LENGTH) {
  $error = true; $entry_telephone_error = true;
}

if ($_POST['action'] == "insert") {
	$check_email = shop_db_query("select customers_email_address from " . DB_PREFIX . "customers where customers_email_address = '$email_address'");
} else {
	$check_email = shop_db_query("select customers_email_address from " . DB_PREFIX . "customers where customers_email_address = '$email_address' and customers_id <> '" . $_SESSION['customer_id'] . "'");
}

if (shop_db_num_rows($check_email)) {
  $error = true; $entry_email_address_exists = true;
}

if ($error) {
  shop_display_page(MYSELF, $page);
  $contents_loc = strpos($page, '[wincontents]');
  echo substr($page,0,$contents_loc);
  $is_read_only = false;

  if ($_POST['action'] == "insert") {
    echo shop_draw_form('account_edit', 'create_account_process.php', 'action=process', 'post', 'enctype="multipart/form-data" onSubmit="return check_form();"') . shop_draw_hidden_field('action', 'insert');
    require(DIR_FS_CONTENTS . 'eshox_os/account_details.php');
  } else {
    echo shop_draw_form('account_edit', 'account_edit_process.php', 'action=process', 'post', 'enctype="multipart/form-data" onSubmit="return check_form();"') . shop_draw_hidden_field('action', 'process');
    require(DIR_FS_CONTENTS . 'eshox_os/account_details.php');
  }
  
  echo substr($page,$contents_loc+13);
} else {
  $customer_info = array('customers_firstname' => $firstname,
	                     'customers_lastname' => $lastname,
	                     'customers_email_address' => $email_address,
	                     'customers_email_address_flag' => $email_address_flag,
	                     'customers_telephone' => $telephone,
	                     'customers_fax' => $fax,
	                     'affiliate' => $_SESSION['affiliate']);

  if (strlen($resale_number)) $customer_info['customers_resale_number'] = $resale_number;
  if (strlen($password)) $customer_info['customers_password'] = crypt_password($password);

  if (MODULE_ORDER_TOTAL_TAX_ADDRESS_BOOK_ID == 'Billing') {
    $_SESSION['customer_country_id'] = $country;
    $_SESSION['customer_zone_id'] = $zone_id;
  } else {
    $_SESSION['customer_country_id'] = $shipping_country;
    $_SESSION['customer_zone_id'] = $shipping_zone_id;
  }
  
  $billing_address = array('entry_firstname' => $firstname,
	                       'entry_lastname' => $lastname,
	                       'entry_company' => $company,
	                       'entry_street_address' => $street_address,
	                       'entry_street_address_2' => $street_address_2,
	                       'entry_postcode' => $postcode,
	                       'entry_city' => $city,
	                       'entry_state' => (($zone_id) ? '' : $state),
	                       'entry_zone_id' => (($zone_id) ? $zone_id : 0),
	                       'entry_country_id' => $country);

  $shipping_address = array('entry_firstname' => $shipping_firstname,
	                        'entry_lastname' => $shipping_lastname,
	                        'entry_company' => $shipping_company,
	                        'entry_street_address' => $shipping_street_address,
	                        'entry_street_address_2' => $shipping_street_address_2,
	                        'entry_postcode' => $shipping_postcode,
	                        'entry_city' => $shipping_city,
	                        'entry_state' => (($shipping_zone_id) ? '' : $shipping_state),
	                        'entry_zone_id' => (($shipping_zone_id) ? $shipping_zone_id : 0),
	                        'entry_country_id' => $shipping_country);

  if ($_POST['action'] == "insert") {
    $customer_info['customers_default_address_id'] = 1;
	$customer_info['customers_code'] = substr(AFFILIATE . 'xxxxx',0,5) . rand(100,999);

	$_SESSION['customer_id'] = shop_db_perform('customers', $customer_info);
	
    $billing_address['customers_id'] = $_SESSION['customer_id'];
    $billing_address['address_book_id'] = 1;
    $shipping_address['customers_id'] = $_SESSION['customer_id'];
    $shipping_address['address_book_id'] = 2;
	
	shop_db_perform('address_book', $shipping_address);
	shop_db_perform('address_book', $billing_address);

	shop_db_query("insert into " . DB_PREFIX . "customers_info (customers_info_id, customers_info_number_of_logons, customers_info_date_account_created) values ('" . ($_SESSION['customer_id']) . "', '0', now())");

	require('contents/eshox_os/email.php');
	$email_text =  EMAIL_GREET_NONE . EMAIL_TEXT . EMAIL_CONTACT . EMAIL_WARNING . UNIX_RETURN . EMAIL_WELCOME;
	shop_mail($firstname . " " . $lastname, $email_address, EMAIL_SUBJECT_REGISTRATION, nl2br($email_text), STORE_OWNER, STORE_OWNER_EMAIL_ADDRESS);

    require('contents/eshox_os/login.php');
  } else {
	shop_db_perform('customers', $customer_info, 'update', "customers_id = '" . $_SESSION['customer_id'] . "'");
	shop_db_perform('address_book', $billing_address, 'update', "customers_id = '" . $_SESSION['customer_id'] . "' and address_book_id = '1'");
	shop_db_perform('address_book', $shipping_address, 'update', "customers_id = '" . $_SESSION['customer_id'] . "' and address_book_id = '2'");
	shop_db_query("update " . DB_PREFIX . "customers_info set customers_info_date_account_last_modified = now() where customers_info_id = '" . $_SESSION['customer_id'] . "'");
	shop_redirect('account.php');
  }
}