<?php
/*

  eShox 4 Commerce Solution
  http://www.eshox.com/
  
  Copyright (c) 2003-04, Secure.cc, Inc. All rights reserved.

  SOFTWARE LICENSE INFORMATION

  http://www.eshox.com/license.html

  PLEASE READ THE SECURE.CC, INC SINGLE USE SOFTWARE LICENSE AGREEMENT ("LICENSE") 
  CAREFULLY BEFORE INSTALLING OR USING THE SOFTWARE. BY INSTALLING OR USING THE 
  SOFTWARE, YOU ARE AGREEING TO BE BOUND BY THE TERMS OF THE LICENSE.

*/

error_reporting(0);

if (file_exists('../../config.php')) include('../../config.php');

if (ENABLE_GD != true) {
  header('Location: http://graphs.secure.cc/worldmap.php?' . $_SERVER['QUERY_STRING']);
  die;
}

$small = imagecreatetruecolor(360, 208);
$white = imagecolorallocate ($small, 255, 255, 255);
imagefill ($small, 0, 0, $white);

$regions = array(array('name' => 'europe', 'index' => '2'),
	             array('name' => 'africa', 'index' => '3'),
	             array('name' => 'oceania', 'index' => '5'),
	             array('name' => 'asia', 'index' => '0'),
	             array('name' => 'north_america', 'index' => '1'),
	             array('name' => 'south_america', 'index' => '4'));

$image = imagecreatefrompng('../images/world_poster.png');

while (list($key,$value) = each($regions)) {
  if ($_GET['data'][$value['name']]) {
	$color_number[0] = hexdec(substr($_GET['data'][$value['name']],0,2));
	$color_number[1] = hexdec(substr($_GET['data'][$value['name']],2,2));
	$color_number[2] = hexdec(substr($_GET['data'][$value['name']],4,2));
  } else {
	$color_number[0] = 128;
	$color_number[1] = 128;
	$color_number[2] = 128;
  }
  imagecolorset($image, $value['index'], $color_number[0], $color_number[1], $color_number[2]);
}

imagecopyresampled($small, $image, 0, 0, 0, 0, 360, 208, 1380, 800);
imagetruecolortopalette($small);

header("Last-Modified: Mon, 26 Nov 1962 00:00:00 GMT");
header("Expires: " . gmdate("D,d M Y H:i:s") . " GMT");
header("Cache-Control: cache");
header("Pragma: cache");

header("Content-Type: image/jpeg");
imagejpeg($small, '', 94);
ImageDestroy($small);
ImageDestroy($image);
