<?php
/*
	eShox OS
	http://www.eshox.com/

	Copyright (c) 2003, Secure.cc, Inc.

	Released under the GNU General Public License

*/

  require('contents/resources.php');

define('HEADING_TITLE', 'Currencies');

define('TABLE_HEADING_CURRENCY_NAME', 'Currency');
define('TABLE_HEADING_CURRENCY_CODES', 'Code');
define('TABLE_HEADING_CURRENCY_VALUE', 'Value');

define('TEXT_INFO_EDIT_INTRO', 'Please make any necessary changes');
define('TEXT_INFO_CURRENCY_TITLE', 'Title:');
define('TEXT_INFO_CURRENCY_CODE', 'Code:');
define('TEXT_INFO_CURRENCY_SYMBOL_LEFT', 'Symbol Left:');
define('TEXT_INFO_CURRENCY_SYMBOL_RIGHT', 'Symbol Right:');
define('TEXT_INFO_CURRENCY_DECIMAL_POINT', 'Decimal Point:');
define('TEXT_INFO_CURRENCY_THOUSANDS_POINT', 'Thousands Point:');
define('TEXT_INFO_CURRENCY_DECIMAL_PLACES', 'Decimal Places:');
define('TEXT_INFO_CURRENCY_LAST_UPDATED', 'Last Updated:');
define('TEXT_INFO_CURRENCY_VALUE', 'Value:');
define('TEXT_INFO_CURRENCY_EXAMPLE', 'Example Output:');
define('TEXT_INFO_INSERT_INTRO', 'Please enter the new currency with its related data');
define('TEXT_INFO_DELETE_INTRO', 'Are you sure you want to delete this currency?');
define('TEXT_INFO_HEADING_NEW_CURRENCY', 'New Currency');
define('TEXT_INFO_HEADING_EDIT_CURRENCY', 'Edit Currency');
define('TEXT_INFO_HEADING_DELETE_CURRENCY', 'Delete Currency');

  $currencies = new currencies();

  if ($_GET['action']) {
	switch ($_GET['action']) {
	  case 'insert':
	  case 'save':
	    $currency_id = ($_GET['cID']);
	    $title = ($_POST['title']);
	    $code = ($_POST['code']);
	    $symbol_left = ($_POST['symbol_left']);
	    $symbol_right = ($_POST['symbol_right']);
	    $decimal_point = ($_POST['decimal_point']);
	    $thousands_point = ($_POST['thousands_point']);
	    $decimal_places = ($_POST['decimal_places']);
	    $value = ($_POST['cvalue']);

	    $sql_data_array = array('title' => $title,
	                            'code' => $code,
	                            'symbol_left' => $symbol_left,
	                            'symbol_right' => $symbol_right,
	                            'decimal_point' => $decimal_point,
	                            'thousands_point' => $thousands_point,
	                            'decimal_places' => $decimal_places,
	                            'value' => $value);

	    if ($_GET['action'] == 'insert') {
	      $currency_id = shop_db_perform('currencies', $sql_data_array);
	    } elseif ($_GET['action'] == 'save') {
	      shop_db_perform('currencies', $sql_data_array, 'update', "currencies_id = '" . ($currency_id) . "'");
	    }

	    if ($_POST['default'] == 'on') {
	      shop_db_query("update " . DB_PREFIX . "configuration set configuration_value = '" . ($code) . "' where configuration_key = 'DEFAULT_CURRENCY'");
	      shop_update_currency_rates($code);
	    }
	    shop_redirect(shop_href_link(FILENAME_CURRENCIES, 'page=' . $_GET['page'] . '&cID=' . $currency_id));
	    break;
	  case 'deleteconfirm':
	    $currencies_id = ($_GET['cID']);

	    $currency_query = shop_db_query("select c.currencies_id from " . DB_PREFIX . "currencies c, " . DB_PREFIX . "configuration cfg where cfg.configuration_key = 'DEFAULT_CURRENCY' and cfg.configuration_value = c.code");
	    $currency = shop_db_fetch_array($currency_query);
	    if ($currency['currencies_id'] == $currencies_id) {
	      shop_db_query("update " . DB_PREFIX . "configuration set configuration_value = '' where configuration_key = 'DEFAULT_CURRENCY'");
	    }

	    shop_db_query("delete from " . DB_PREFIX . "currencies where currencies_id = '" . ($currencies_id) . "'");

	    shop_redirect(shop_href_link(FILENAME_CURRENCIES, 'page=' . $_GET['page']));
	    break;
	  case 'update':
	    shop_update_currency_rates($_GET['code']);
	    shop_redirect(shop_href_link(FILENAME_CURRENCIES, 'page=' . $_GET['page'] . '&cID=' . $_GET['cID']));
	    break;
	  case 'delete':
	    $currencies_id = ($_GET['cID']);

	    $currency_query = shop_db_query("select code from " . DB_PREFIX . "currencies where currencies_id = '" . ($currencies_id) . "'");
	    $currency = shop_db_fetch_array($currency_query);

	    $remove_currency = true;
	    if ($currency['code'] == DEFAULT_CURRENCY) {
	      $remove_currency = false;
	    }
	    break;
	}
  }

?><html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>eShox: <?php echo HEADING_TITLE; ?></title>
<link rel="stylesheet" type="text/css" href="contents/stylesheet.css">
<script language="JavaScript" src="contents/eshox_os/scripts.js" type="text/javascript"></script>
</head>
<body marginwidth="0" marginheight="0" topmargin="0" bottommargin="0" leftmargin="0" rightmargin="0" bgcolor="333333">
<!-- header //-->
<!-- header_eof //-->

<!-- body //-->
<table width="100%" border="0" cellpadding="0" cellspacing="0">
<?php
$help_page = MYSELF;
include('contents/header.php');
?>
</table><table border="0" width="100%" cellspacing="8" cellpadding="1" bgcolor="333333">
  <tr>
	<td width="<?php echo BOX_WIDTH; ?>" valign="top"><table border="0" width="160" cellspacing="0" cellpadding="0">
<!-- left_navigation //-->
<?php require('contents/navbar.php'); ?>
<!-- left_navigation_eof //-->
	</table></td>
<!-- body_text //-->
	<td width="100%" valign="top">
	<table width="100%" border="0" cellpadding="0" cellspacing="0">
	    <tr>
	        <td><img src="images/win_header_left.gif" width="8" height="22"></td>
	        <td width="14" align="left" valign="center" background="images/win_header_bg.gif"><a href="index.php"><img src="images/close.gif" width="13" height="14" border="0"></a></td>
	        <td width="6" align="left" valign="center" background="images/win_header_bg.gif"><img src="images/pixel_trans.gif" border="0" width="6" height="14"></td>
	        <td width="14" align="left" valign="center" background="images/win_header_bg.gif"><a href="<?php echo MYSELF . '?page_toggle=true'; ?>"><img src="images/max.gif" width="13" height="14" border="0"></a></td>
	        <td class="windowHeading" align="center" valign="center" height="22" width="100%" background="images/win_header_bg.gif"><?php echo HEADING_TITLE; ?></td>
	        <td width="34" background="images/win_header_bg.gif"></td>
	        <td><img src="images/win_header_right.gif" width="8" height="22"></td>
	    </tr>
	</table>
	<table width="100%" border="0" cellpadding="0" cellspacing="0">
	<tr>
		<td width="100%" background="images/win_header_column.gif"><table border="0" width="100%" cellspacing="0" cellpadding="0">
	  <tr>
	    <td><table border="0" width="100%" cellspacing="0" cellpadding="0">
	      <tr>
	        <td valign="top"><table border="0" width="100%" cellspacing="0" cellpadding="0">
	          <tr>
	            <td height="17" valign="center" class="dataTableContent"> &nbsp; <?php echo TABLE_HEADING_CURRENCY_NAME; ?></td>
	            <td height="17" valign="center" class="dataTableContent"><?php echo TABLE_HEADING_CURRENCY_CODES; ?></td>
	            <td height="17" valign="center" class="dataTableContent" align="right"><?php echo TABLE_HEADING_CURRENCY_VALUE; ?></td>
	            <td height="17" valign="center" class="dataTableContent" align="right">&nbsp;</td>
	          </tr>
<?php
  $currency_query_raw = "select currencies_id, title, code, symbol_left, symbol_right, decimal_point, thousands_point, decimal_places, last_updated, value from " . DB_PREFIX . "currencies order by currencies_id";
  $currency_split = new splitPageResults($_GET['page'], CFG_ADMIN_ITEMS_PAGE, $currency_query_raw, $currency_query_numrows);
  $currency_query = shop_db_query($currency_query_raw);
  while ($currency = shop_db_fetch_array($currency_query)) {
	if (((!$_GET['cID']) || (@$_GET['cID'] == $currency['currencies_id'])) && (!$cInfo) && (substr($_GET['action'], 0, 3) != 'new')) {
	  $cInfo = new objectInfo($currency);
	}

	if ( (is_object($cInfo)) && ($currency['currencies_id'] == $cInfo->currencies_id) ) {
	  echo '                  <tr class="dataTableRowSelected">' . UNIX_RETURN;
	} else {
	  echo '                  <tr class="dataTableRow" onmouseover="this.style.cursor=\'pointer\'" onclick="document.location.href=\'' . shop_href_link(FILENAME_CURRENCIES, 'page=' . $_GET['page'] . '&cID=' . $currency['currencies_id']) . '\'">' . UNIX_RETURN;
	}

	if (DEFAULT_CURRENCY == $currency['code']) {
	  echo '                <td class="dataTableContent"> &nbsp; <b>' . $currency['title'] . ' (' . TEXT_DEFAULT . ')</b></td>' . UNIX_RETURN;
	} else {
	  echo '                <td class="dataTableContent"> &nbsp; ' . $currency['title'] . '</td>' . UNIX_RETURN;
	}
?>
	            <td class="dataTableContent" height="20"><?php echo $currency['code']; ?></td>
	            <td class="dataTableContent" align="right"><?php echo number_format($currency['value'], 3); ?></td>
	            <td class="dataTableContent" align="right"><?php if ( (is_object($cInfo)) && ($currency['currencies_id'] == $cInfo->currencies_id) ) { echo shop_image(DIR_WS_IMAGES . 'icon_arrow_right.gif'); } else { echo '<a href="' . shop_href_link(FILENAME_CURRENCIES, 'page=' . $_GET['page'] . '&cID=' . $currency['currencies_id']) . '"></a>'; } ?></td>
	          </tr>
<?php
  }
?>
	          <tr>
	            <td colspan="4">
	              <table border="0" width="100%" cellspacing="0" cellpadding="4">
	                <tr>
	                  <td class="smallText" valign="top"><?php echo $currency_split->display_count($currency_query_numrows, CFG_ADMIN_ITEMS_PAGE, $_GET['page'], TEXT_DISPLAY_NUMBER_OF_CURRENCIES); ?></td>
	                  <td class="smallText" align="right"><?php echo $currency_split->display_links($currency_query_numrows, CFG_ADMIN_ITEMS_PAGE, MAX_DISPLAY_PAGE_LINKS, $_GET['page']); ?></td>
	                </tr>
	                <tr>
	                  <td colspan="2" class="smallText"><?php echo 'Last updated ' . date('l, F d, Y h:i A', REALTIME_CURRENCY_LAST_UPDATE); ?></td>
	                </tr>
	              </table>
<?php
  if (!$_GET['action']) {
?>
	              <tr>
	                <td align="right" colspan="4"><?php echo '<a href="' . shop_href_link(FILENAME_CURRENCIES, 'page=' . $_GET['page'] . '&cID=' . $cInfo->currencies_id . '&action=new') . '">' . shop_image_button('button_insert.gif', IMAGE_NEW_CURRENCY) . '</a>&nbsp;'; ?></td>
	              </tr>
<?php
  }
?>
	        </table></td>
<?php
  $heading = array();
  $contents = array();
  switch ($_GET['action']) {
	case 'new':
	  $heading[] = array('text' => TEXT_INFO_HEADING_NEW_CURRENCY);

	  $contents = array('form' => shop_draw_form('currencies', FILENAME_CURRENCIES, 'page=' . $_GET['page'] . '&cID=' . $cInfo->currencies_id . '&action=insert'));
	  $contents[] = array('text' => TEXT_INFO_INSERT_INTRO);
	  $contents[] = array('text' => '<br />' . TEXT_INFO_CURRENCY_TITLE . '<br />' . shop_draw_input_field('title'));
	  $contents[] = array('text' => '<br />' . TEXT_INFO_CURRENCY_CODE . '<br />' . shop_draw_input_field('code'));
	  $contents[] = array('text' => '<br />' . TEXT_INFO_CURRENCY_SYMBOL_LEFT . '<br />' . shop_draw_input_field('symbol_left'));
	  $contents[] = array('text' => '<br />' . TEXT_INFO_CURRENCY_SYMBOL_RIGHT . '<br />' . shop_draw_input_field('symbol_right'));
	  $contents[] = array('text' => '<br />' . TEXT_INFO_CURRENCY_DECIMAL_POINT . '<br />' . shop_draw_input_field('decimal_point'));
	  $contents[] = array('text' => '<br />' . TEXT_INFO_CURRENCY_THOUSANDS_POINT . '<br />' . shop_draw_input_field('thousands_point'));
	  $contents[] = array('text' => '<br />' . TEXT_INFO_CURRENCY_DECIMAL_PLACES . '<br />' . shop_draw_input_field('decimal_places'));
	  $contents[] = array('text' => '<br />' . TEXT_INFO_CURRENCY_VALUE . '<br />' . shop_draw_input_field('cvalue'));
	  $contents[] = array('text' => '<br />' . shop_draw_checkbox_field('default') . ' ' . TEXT_SET_DEFAULT);
	  $contents[] = array('align' => 'center', 'text' => '<br />' . shop_image_submit('button_insert.gif', IMAGE_INSERT) . ' <a href="' . shop_href_link(FILENAME_CURRENCIES, 'page=' . $_GET['page'] . '&cID=' . $_GET['cID']) . '">' . shop_image_button('button_cancel.gif', IMAGE_CANCEL) . '</a>');
	  break;
	case 'edit':
	  $heading[] = array('text' => TEXT_INFO_HEADING_EDIT_CURRENCY);

	  $contents = array('form' => shop_draw_form('currencies', FILENAME_CURRENCIES, 'page=' . $_GET['page'] . '&cID=' . $cInfo->currencies_id . '&action=save'));
	  $contents[] = array('text' => TEXT_INFO_EDIT_INTRO);
	  $contents[] = array('text' => '<br />' . TEXT_INFO_CURRENCY_TITLE . '<br />' . shop_draw_input_field('title', $cInfo->title));
	  $contents[] = array('text' => '<br />' . TEXT_INFO_CURRENCY_CODE . '<br />' . shop_draw_input_field('code', $cInfo->code));
	  $contents[] = array('text' => '<br />' . TEXT_INFO_CURRENCY_SYMBOL_LEFT . '<br />' . shop_draw_input_field('symbol_left', $cInfo->symbol_left));
	  $contents[] = array('text' => '<br />' . TEXT_INFO_CURRENCY_SYMBOL_RIGHT . '<br />' . shop_draw_input_field('symbol_right', $cInfo->symbol_right));
	  $contents[] = array('text' => '<br />' . TEXT_INFO_CURRENCY_DECIMAL_POINT . '<br />' . shop_draw_input_field('decimal_point', $cInfo->decimal_point));
	  $contents[] = array('text' => '<br />' . TEXT_INFO_CURRENCY_THOUSANDS_POINT . '<br />' . shop_draw_input_field('thousands_point', $cInfo->thousands_point));
	  $contents[] = array('text' => '<br />' . TEXT_INFO_CURRENCY_DECIMAL_PLACES . '<br />' . shop_draw_input_field('decimal_places', $cInfo->decimal_places));
	  $contents[] = array('text' => '<br />' . TEXT_INFO_CURRENCY_VALUE . '<br />' . shop_draw_input_field('cvalue', $cInfo->value));
	  if (DEFAULT_CURRENCY != $cInfo->code) $contents[] = array('text' => '<br />' . shop_draw_checkbox_field('default') . ' ' . TEXT_SET_DEFAULT);
	  $contents[] = array('align' => 'center', 'text' => '<br />' . shop_image_submit('button_update.gif', IMAGE_UPDATE) . ' <a href="' . shop_href_link(FILENAME_CURRENCIES, 'page=' . $_GET['page'] . '&cID=' . $cInfo->currencies_id) . '">' . shop_image_button('button_cancel.gif', IMAGE_CANCEL) . '</a>');
	  break;
	case 'delete':
	  $heading[] = array('text' => TEXT_INFO_HEADING_DELETE_CURRENCY);

	  $contents[] = array('text' => TEXT_INFO_DELETE_INTRO);
	  $contents[] = array('text' => '<br /><b>' . $cInfo->title);
	  $contents[] = array('align' => 'center', 'text' => '<br />' . (($remove_currency) ? '<a href="' . shop_href_link(FILENAME_CURRENCIES, 'page=' . $_GET['page'] . '&cID=' . $cInfo->currencies_id . '&action=deleteconfirm') . '">' . shop_image_button('button_delete.gif', IMAGE_DELETE) . '</a>' : '') . ' <a href="' . shop_href_link(FILENAME_CURRENCIES, 'page=' . $_GET['page'] . '&cID=' . $cInfo->currencies_id) . '">' . shop_image_button('button_cancel.gif', IMAGE_CANCEL) . '</a>');
	  break;
	default:
	  if (is_object($cInfo)) {
	    $heading[] = array('text' => $cInfo->title);

	    if (!(DEFAULT_CURRENCY == $cInfo->code)) {
	      $update = ' &nbsp;<a href="' . shop_href_link(FILENAME_CURRENCIES, 'page=' . $_GET['page'] . '&cID=' . $cInfo->currencies_id . '&code=' . $cInfo->code . '&action=update') . '">' . shop_image_button('button_update.gif', IMAGE_UPDATE_CURRENCIES) . '</a>';
	      $delete = ' &nbsp;<a href="' . shop_href_link(FILENAME_CURRENCIES, 'page=' . $_GET['page'] . '&cID=' . $cInfo->currencies_id . '&action=delete') . '">' . shop_image_button('button_delete.gif', IMAGE_DELETE) . '</a>';
	    } else {
	      $update = '';
	      $delete = '';
	    }
	    $contents[] = array('text' => TEXT_INFO_CURRENCY_TITLE . ' ' . $cInfo->title);
	    $contents[] = array('text' => TEXT_INFO_CURRENCY_CODE . ' ' . $cInfo->code);
	    $contents[] = array('text' => '<br />' . TEXT_INFO_CURRENCY_SYMBOL_LEFT . ' ' . $cInfo->symbol_left);
	    $contents[] = array('text' => TEXT_INFO_CURRENCY_SYMBOL_RIGHT . ' ' . $cInfo->symbol_right);
	    $contents[] = array('text' => '<br />' . TEXT_INFO_CURRENCY_DECIMAL_POINT . ' ' . $cInfo->decimal_point);
	    $contents[] = array('text' => TEXT_INFO_CURRENCY_THOUSANDS_POINT . ' ' . $cInfo->thousands_point);
	    $contents[] = array('text' => TEXT_INFO_CURRENCY_DECIMAL_PLACES . ' ' . $cInfo->decimal_places);
	    $contents[] = array('text' => '<br />' . TEXT_INFO_CURRENCY_LAST_UPDATED . ' ' . shop_date_short($cInfo->last_updated));
	    $contents[] = array('text' => TEXT_INFO_CURRENCY_VALUE . ' ' . number_format($cInfo->value, $cinfo->decimal_places));
	    $contents[] = array('text' => '<br />' . TEXT_INFO_CURRENCY_EXAMPLE . '<br />' . $currencies->format('30', false, DEFAULT_CURRENCY) . ' = ' . $currencies->format('30', true, $cInfo->code));
	    $contents[] = array('align' => 'center', 'text' => '<a href="' . shop_href_link(FILENAME_CURRENCIES, 'page=' . $_GET['page'] . '&cID=' . $cInfo->currencies_id . '&action=edit') . '">' . shop_image_button('button_edit.gif', IMAGE_EDIT) . '</a>' . $delete . $update);
	  }
	  break;
  }

  if ( ($heading) && ($contents) ) {
	echo '            <td class="infoBoxContent" width="25%" valign="top">' . UNIX_RETURN;

	$box = new box;
	echo $box->infoBox($heading, $contents);

	echo '            </td>' . UNIX_RETURN;
  }
?>
	      </tr>
	    </table></td>
	  </tr>
	</table></td>
	</tr>
	<tr>
		<td background="images/win_div.gif" width="8" height="1"></td>
	</tr>
	<tr>
		<td align="left" valign="center" width="100%" height="17" background="images/base_bg.gif">
<?php
include('contents/footer.php');
?>
		</td>
	</tr>
</table>
<!-- body_eof //-->
</body>
</html>
