<?php
/*
  eShox 3 Commerce Solution
  http://www.eshox.com/
  
  Copyright (c) 2003, Secure.cc, Inc.

*/
$see_also = 'See also: <a href="help.php?page=categories.php">Products and categories</a>';
?>
<table width="100%" border="0" cellpadding="4" cellspacing="0">
<tr><td class="large">Product options</td></tr>
<tr><td valign="top">
<blockquote><p align="justify">The "Product Options" section of eShox can be accessed via eShox Admin. Open a Web browser and enter the following URL: http://your-domain-or-ip/shop/admin/. Click on "Product Options" under "Catalog Setup" on the left "Administration" window.

<blockquote>

<p><u>Product Options</u>
<p align="justify">Product Options allow the store owner to add additional options to a product (such as: finishes or fabric styles for furniture, colors for iMac computers and platform versions for software products). Each product option may have a different amount ("Value Price") to be added to the products price.

<p align="justify">To add a product option: select the product to add the option to from the products pop-up list, the option name and option value name. Enter the "Value Price" (optional) and select the prefix ("+" to add to the products price, "-" to subtract from the products price). Choose the product option image (an image of the product if this product option is selected) and click Insert. If downloads are enabled in the "eShox Setup" section of eShox Admin, you may select the file customers can download if they purchase the product with this product option.

<p align="justify">If the PHP graphics library (GD) is installed and the product option images are transparent PNG format, eShox will automatically composite the option images that the customer selects (on top of the main product image). In this case, the option images should contain only the difference between the main image and the option image. For example, if a car is available in various colors, the tires may not change and should therefore be transparant in the option images.

<p align="justify">To delete a product option: click the "Delete" button next to the product option you wish to delete. To modify a product option: click the "Edit" button next to the product option you wish to modify, make any necessary changes and click "Update".

<p><u>Product Option Names & Values</u>
<p align="justify">Option names are the names for options for a product, for example: "Wood Finish", "Fabric Style" or "Color". Option values are the names for options values for a product option, for example: "Pine" or "Oak" for wood finishes, "Leather" or "Vinyl" for fabric styles or "Red" or "Green" for colors.

<p align="justify">To add or edit the option names and values listed in the pop-up list: click "Setup" at the bottom of the product options list. A window is displayed with the currently defined option names (within which are the option values). To add a new option name or value: enter the option name or value name for each language currently defined in the "Languages" section of eShox Admin and click "Insert". To modify an option name or value name: click the "Edit" button next to the option name or value name, make any necessary changes and click "Update". To delete an option name or value name: click the "Delete" button next to the option name or value name. Once you have finished editing the option names or value names, the product options window will automatically reload.

<p align="justify">When creating a product option, switching languages will submit the current language and create the option. To cancel creation of a product option, click "Cancel" and then delete the option.

</blockquote>

</blockquote>

</tr>
</table>