<?php

/*
  eShox 3 Commerce Solution
  http://www.eshox.com/
  
  Copyright (c) 2003, Secure.cc, Inc.

*/
  
class a2checkout {
	var $code, $title, $description, $enabled;

	function a2checkout() {
	  $this->code = 'a2checkout';
	  $this->title = '2Checkout';
	  $this->shop_title = MODULE_PAYMENT_CC_TEXT_TITLE;
	  $this->signup = 'http://www.2checkout.com/';
	  $this->enabled = defined('MODULE_PAYMENT_2CHECKOUT_STATUS');
	  $this->recommend_level = 3;
	  $this->version = "1.1";
	}

	function javascript_validation() {
	  return shop_draw_cc_javascript_validation($this->code);
	}

	function selection() {
	  return shop_draw_cc_input();
	}

	function pre_confirmation_check() {
	  if ($_POST['payment_selected'] == $this->code) shop_validate_cc($_POST['cc_owner'],$_POST['cc_number'], $_POST['cc_expires_month'], $_POST['cc_expires_year'], $_POST['cc_code']);
	}

	function confirmation() {
	  global $checkout_form_action;
	  $checkout_form_action = 'https://www.2checkout.com/cgi-bin/Abuyers/purchase.2c';
	}

	function process_button() {
	  global $order;
	  
	  $cc_owner = strrev($_POST['cc_owner']);
	  $cc_owner_firstname = strrev(substr($cc_owner, strpos($cc_owner, ' ')));
	  $cc_owner_lastname = strrev(substr($cc_owner, 0, strpos($cc_owner, ' ')));
	  
	  $process_button_string = shop_draw_hidden_field('x_amount', number_format($order->info['total'], 2)) . UNIX_RETURN .
	                           shop_draw_hidden_field('x_invoice_num', date('U')) . UNIX_RETURN .
	                           shop_draw_hidden_field('x_card_num', $_POST['cc_number']) . UNIX_RETURN .
	                           shop_draw_hidden_field('cvv', $_POST['cc_code']) . UNIX_RETURN .
	                           shop_draw_hidden_field('x_exp_date', $_POST['cc_expires_month'] . substr($_POST['cc_expires_year'],-2)) . UNIX_RETURN .
	                           shop_draw_hidden_field('x_first_name', $cc_owner_firstname) . UNIX_RETURN .
	                           shop_draw_hidden_field('x_last_name', $cc_owner_lastname) . UNIX_RETURN .
	                           shop_draw_hidden_field('x_address', $order->customer['street_address']) . UNIX_RETURN .
	                           shop_draw_hidden_field('x_city', $order->customer['city']) . UNIX_RETURN .
	                           shop_draw_hidden_field('x_state', $order->customer['state']) . UNIX_RETURN .
	                           shop_draw_hidden_field('x_zip', $order->customer['postcode']) . UNIX_RETURN .
	                           shop_draw_hidden_field('x_country', $order->customer['country']) . UNIX_RETURN .
	                           shop_draw_hidden_field('x_email', $order->customer['email_address']) . UNIX_RETURN .
	                           shop_draw_hidden_field('x_phone', $order->customer['telephone']) . UNIX_RETURN .
	                           shop_draw_hidden_field('x_ship_to_first_name', $order->delivery['firstname']) . UNIX_RETURN .
	                           shop_draw_hidden_field('x_ship_to_last_name', $order->delivery['lastname']) . UNIX_RETURN .
	                           shop_draw_hidden_field('x_ship_to_address', $order->delivery['street_address']) . UNIX_RETURN .
	                           shop_draw_hidden_field('x_ship_to_city', $order->delivery['city']) . UNIX_RETURN .
	                           shop_draw_hidden_field('x_ship_to_state', $order->delivery['state']) . UNIX_RETURN .
	                           shop_draw_hidden_field('x_ship_to_zip', $order->delivery['postcode']) . UNIX_RETURN .
	                           shop_draw_hidden_field('x_ship_to_country', $order->delivery['country']) . UNIX_RETURN .
	                           shop_draw_hidden_field('return_url', shop_href_link('checkout_process.php', '', 'SSL')) . UNIX_RETURN .
	                           shop_draw_hidden_field('x_email_merchant', ((MODULE_PAYMENT_2CHECKOUT_EMAIL_MERCHANT == 'true') ? 'TRUE' : 'FALSE'));

	  if (MODULE_PAYMENT_2CHECKOUT_TESTMODE == 'Test') {
	    $process_button_string .= shop_draw_hidden_field('demo', 'Y'). UNIX_RETURN;
	  } else {
	    $process_button_string .= shop_draw_hidden_field('x_login', MODULE_PAYMENT_2CHECKOUT_LOGIN) . UNIX_RETURN;
	  }
	  return $process_button_string;
	}

	function before_process() {
		if ($_POST['x_response_code'] != '1') {
			shop_redirect(shop_href_link('checkout_payment.php', 'error_message=' . urlencode(MODULE_PAYMENT_CC_TEXT_ERROR . ' ' . $_POST['x_response_reason_text']), 'SSL'));
		}
		$order->info['cc_approval'] = $_POST['x_auth_code'];
	}

	function after_process() {
	}

	function check() {
	  return defined('MODULE_PAYMENT_2CHECKOUT_STATUS');
	}

	function install() {
	  shop_db_query("insert into " . DB_PREFIX . "configuration (configuration_key, configuration_value) values ('MODULE_PAYMENT_2CHECKOUT_STATUS', 'true')");
	  shop_db_query("insert into " . DB_PREFIX . "configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Login Username', 'MODULE_PAYMENT_2CHECKOUT_LOGIN', 'testing', 'The login username/ID used for the 2Checkout service', '6', '0', now())");
	  shop_db_query("insert into " . DB_PREFIX . "configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Transaction Mode', 'MODULE_PAYMENT_2CHECKOUT_TESTMODE', 'Test', 'Transaction mode used for processing orders', '6', '0', 'shop_cfg_select_option(array(\'Test\', \'Production\'), ', now())");
	  shop_db_query("insert into " . DB_PREFIX . "configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Merchant Notifications', 'MODULE_PAYMENT_2CHECKOUT_EMAIL_MERCHANT', 'true', 'Should 2Checkout e-mail a receipt to the store owner?', '6', '0', 'shop_cfg_select_option(array(\'true\', \'false\'), ', now())");
	}

	function remove() {
	  shop_db_query("delete from " . DB_PREFIX . "configuration where configuration_key like 'MODULE_PAYMENT_2CHECKOUT_%'");
	}

	function keys() {
	  return array('MODULE_PAYMENT_2CHECKOUT_STATUS', 'MODULE_PAYMENT_2CHECKOUT_LOGIN', 'MODULE_PAYMENT_2CHECKOUT_TESTMODE', 'MODULE_PAYMENT_2CHECKOUT_EMAIL_MERCHANT');
	}
}
