<?php

/*
  eShox 3 Commerce Solution
  http://www.eshox.com/
  
  Copyright (c) 2003, Secure.cc, Inc.

*/


require('contents/eshox_os/shop_main.php');
if (!@include('config.php')) shop_redirect('setup/');
if (!defined('DB_PREFIX')) define('DB_PREFIX', '');
$_POST = @array_map('xss_stripping', $_POST);
$_REQUEST = @array_map('xss_stripping', $_REQUEST);
$_GET = @array_map('xss_stripping', $_GET);

ignore_user_abort(true);
set_magic_quotes_runtime(0);
ini_set('session.url_rewriter.tags', '');
ini_set('session.auto_start', 0);
ini_set('html_errors', 1);
ini_set('magic_quotes_runtime', false);
ini_set('track_errors', true);
ini_set('html_errors', false);
ini_set('allow_url_fopen', true);
if (!ini_get('safe_mode')) @set_time_limit(0);

shop_db_connect();
shop_load_configuration();

if (SESSIONS_TYPE == 'MySQL Sessions') {
	require('contents/db_sessions.php');
} else {
	require('contents/php_sessions.php');
}

if (SESSION_SECURITY == 'true') {
	if (!preg_match("/^[0-9a-zA-Z]{32}$/i", session_id())) trigger_error("Invalid Session ID", FATAL);
	if (PROTOCOL == 'https' && !$_SESSION['remote_addr']) $_SESSION['remote_addr'] = REMOTE_ADDR;
	if (PROTOCOL == 'https' && $_SESSION['remote_addr'] != REMOTE_ADDR) trigger_error("Invalid IP Address for Session", FATAL);
}

if (!@$_SESSION['cart']) $_SESSION['cart'] = new shoppingCart;

if (CONFIG_RESELLER_ACCESS == 'true' && !@$_SESSION['customer_id']) {
	if (MYSELF != 'authenticate.php' && (!@$_POST && MYSELF != 'login.php')) shop_redirect(shop_href_link('authenticate.php', '', 'NONSSL'));
}

if (!@$_SESSION['referer_url']) $_SESSION['referer_url'] = REFERER;

$GLOBALS['currencies'] = new currencies();
if (!@$_SESSION['currency'] || @$_GET['currency']) {
	if (@$_GET['currency'] && $GLOBALS['currencies']->exists(@$_GET['currency'])) {
		$_SESSION['currency'] = $_GET['currency'];
		unset($_GET['currency']);
	} else {
		$_SESSION['currency'] = DEFAULT_CURRENCY;
	}
}

$GLOBALS['languages'] = new languages();
if (@$_SESSION['language'] && !@$_GET['language']) {
	$_SESSION['languages_id'] = $GLOBALS['languages']->languages[$_SESSION['language']]['id'];
} else {
	if (@$_GET['language'] && $GLOBALS['languages']->exists(@$_GET['language'])) {
		$_SESSION['language'] = $_GET['language'];
		$_SESSION['languages_id'] = $GLOBALS['languages']->languages[$_GET['language']]['id'];
		unset($_GET['language']);
	} else {
		$_SESSION['language'] = DEFAULT_LANGUAGE;
		$_SESSION['languages_id'] = $GLOBALS['languages']->languages[DEFAULT_LANGUAGE]['id'];
	}
}

$GLOBALS['affiliates'] = new affiliates($_SESSION['languages_id']);
if (!@$_SESSION['affiliate'] || @$_GET['brand']) {
	if (@$_GET['brand'] && $GLOBALS['affiliates']->exists($_GET['brand'])) {
		$_SESSION['affiliate'] = $_GET['brand'];
		unset($_GET['brand']);
	} else {
		$_SESSION['affiliate'] = DEFAULT_AFFILIATE;
	}
} elseif (!@$_SESSION['affiliate']) {
	$_SESSION['affiliate'] = DEFAULT_AFFILIATE;
}

$GLOBALS['affiliates']->configure($_SESSION['affiliate']);

require('contents/languages/define-' . $_SESSION['language'] . '.php');

$GLOBALS['sparx'] = new sparx;
$GLOBALS['sparx']->shop_load_sparx();
shop_set_cpath();
if (@$_GET['action']) shop_process_action();

return shop_escape_quotes($_GET, $_POST, $_COOKIE);

// Internal Functions Start Here
$GLOBALS['magic_quotes'] = ( ( function_exists("get_magic_quotes_gpc") && get_magic_quotes_gpc() ) || ( ini_get('magic_quotes_sybase') && ( strtolower( ini_get('magic_quotes_sybase') ) != "off") ) );

function shop_escape_quotes($data = false) {
	if (is_array($data)) {
		foreach ($data as $id => $dataset) $data[$id] = shop_escape_quotes($data[$id]);
		return $data;
	} elseif ($data) {
		if ($GLOBALS['magic_quotes']) $data = stripslashes($data);
		return preg_replace(array('/[\000-\010\013\014\016-\039]/',"/[']/"),array('', "\\'"), $data);
	}
}

function utf_htmlentities($string = false) {
  return htmlentities($string, ENT_COMPAT, "UTF-8");
}

function utf_htmlentities_decode($string = false) {
  return html_entity_decode($string, ENT_COMPAT, "UTF-8");
}

function shop_mail($to_name, $to_email_address, $email_subject, $email_text, $from_email_name, $from_email_address, $template_page='email.html') {
  $filename = 'templates/' . MODULE_SKIN_SELECTED . '/' . $template_page;
  $handle = fopen($filename, "r");
  $template = fread($handle, filesize($filename));
  fclose($handle);
  
  $mail_elements_array = array();
  $mail_elements_data_array = array();
  
  $mail_elements_array[] = '[message]';
  $mail_elements_array[] = '[shop_url]';
  $mail_elements_array[] = '[go_account]';
  $mail_elements_array[] = '[go_login]';
  $mail_elements_array[] = '[subject]';
  
  $mail_elements_data_array[] = nl2br($email_text);
  $mail_elements_data_array[] = (DIR_WS_CATALOG ? DIR_WS_CATALOG : shop_href_link(''));
  $mail_elements_data_array[] = shop_href_link('account.php','','SSL');
  $mail_elements_data_array[] = shop_href_link('login.php','','SSL');
  $mail_elements_data_array[] = ($email_subject ? $email_subject : STORE_NAME);

  $mail_elements_array[] = '[logo]';
  $mail_elements_data_array[] = shop_image('images/interface_elements/' . STORE_LOGO, STORE_NAME);
  
  $email_html = str_replace($mail_elements_array,$mail_elements_data_array,$template);

  $message = new Email();
  if (MAIL_FORMAT == 'Both') {
	$message->add_html($email_html, utf_htmlentities_decode(strip_tags($email_text)));
  } elseif (MAIL_FORMAT == 'HTML') {
	$message->add_html($email_html);
  } else {
	$message->add_text(utf_htmlentities_decode(strip_tags($email_text)));
  }
  $message->build_message();
  $headers = '';
  for ($i=0; $i<sizeof($message->headers); $i++) $headers .= $message->headers[$i] . UNIX_RETURN;  
  $message->sendmail($to_name, $to_email_address, $from_email_name, $from_email_address, utf_htmlentities_decode($email_subject), $headers);
}

function shop_load_page($filename = MYSELF, &$page) {
	$path = 'templates/' . MODULE_SKIN_SELECTED . '/';
	$filename = substr($filename,0,-4) . ".html";
	if (function_exists("file_get_contents")) {
		if ($page = @file_get_contents($path . $filename)) {
			return true;
		} else {
			if ($page = file_get_contents($path . 'template.html')) return true;
		}
		return false;
	} elseif ($handle = fopen($path . $filename, "r")) {
		$page = fread($handle, filesize($path . $filename));
		return true;
	} elseif ($handle = fopen($path . 'template.html', "r")) {
		$page = fread($handle, filesize($path . 'template.html'));
		return true;
	} else {
		return false;
	}
}

function shop_display_page($filename, &$page) {
	header('Content-type: text/html; charset=utf-8');
	shop_load_page($filename, $page);
	shop_render_page($page);
}

function shop_render_page(&$page) {
	if ($GLOBALS['product_info']) {
		$keywords = $GLOBALS['product_info']['meta_keywords'];
		$description = $GLOBALS['product_info']['meta_description'];
	}
	elseif ($GLOBALS['category_info']) {
		$keywords = $GLOBALS['category_info']['meta_keywords'];
		$description = $GLOBALS['category_info']['meta_description'];
	}
	// Yahoo Analytics conversion for checkout success
	if (YAHOO_ANALYTICS_CONVERSION!='' && MYSELF == 'checkout_success.php') {		
		$order = shop_db_fetch_array(shop_db_query("SELECT o.*, IFNULL(TRUNCATE(ot1.value,2),0) as total FROM " . DB_PREFIX . "orders o LEFT JOIN " . DB_PREFIX . "orders_total ot1 ON o.orders_id=ot1.orders_id AND ot1.class='ot_total' WHERE o.customers_id = '" . $_SESSION['customer_id'] . "' ORDER BY o.orders_id DESC LIMIT 1"));
		$yahoo_analytics = '<script language="JavaScript" type="text/javascript">
<!-- Yahoo! Inc.
window.ysm_customData = new Object();
window.ysm_customData.conversion = "transId=' . $order['orders_id'] . ',currency=' . $order['currency'] . ',amount=' . $order['total'] . '";
var ysm_accountid = "' . YAHOO_ANALYTICS_CONVERSION . '";
document.write("<SCR" + "IPT language=\'JavaScript\' type=\'text/javascript\' " 
+ "SRC=//" + "srv2.wa.marketingsolutions.yahoo.com" + "/script/ScriptServlet" + "?aid=" + ysm_accountid 
+ "></SCR" + "IPT>");
// -->
</script>';
	}
	$meta_tags = '</title>
<meta http-equiv="Content-Type" content="text/html; charset=' . LANGUAGE_CHARSET . '">
<meta name="keywords" content="' . (($keywords!='') ? $keywords : META_KEYWORDS) . '">
<meta name="description" content="' . (($description!='') ? $description : META_DESCRIPTION) . '">
<meta name="abstract" content="' . META_ABSTRACT . '">
<meta name="robots" content="' . META_ROBOTS . '">
<script language="JavaScript" src="contents/eshox_os/scripts.js" type="text/javascript"></script>
' . @$yahoo_analytics;

	require_once('contents/eshox_os/navbar.php');
	
	$head_loc = strpos($page, '</title>');
	if ($head_loc) $page = substr($page, 0, $head_loc) . $meta_tags . substr($page, ($head_loc+8));
	$page = preg_replace(array('/\[([^\]]+)\](.*)\[\/\\1\]/Use', '/\[([^\]]+)\]/e'),
						 array('shop_tag_complex("\\1", "\\2")', 'shop_tag_simple("\\1")'),
						 $page);
}

function shop_tag_simple($tag){
	switch ($tag) {
		// Design Tags
		case 'welcome':			return WELCOME; break;
		case 'pagetitle':
			if ($GLOBALS['product_info']['meta_title']!='') return $GLOBALS['product_info']['meta_title'];
			elseif ($GLOBALS['product_info']['name']!='') return $GLOBALS['product_info']['name'];
			elseif ($GLOBALS['category_info']['meta_title']!='') return $GLOBALS['category_info']['meta_title'];
			elseif ($GLOBALS['category_info']['name']!='') return $GLOBALS['category_info']['name'];
			else return STORE_NAME;
			break;
		case 'store_name':		return STORE_NAME; break;
		case 'navbartitle':		return BOX_HEADING_INFORMATION; break;
		case 'logo':			return shop_image('images/interface_elements/' . STORE_LOGO, STORE_NAME); break;
		
		// String Tags
		case 'checkout':		return HEADER_TITLE_CHECKOUT; break;
		case 'login':			return HEADER_TITLE_LOGIN; break;
		case 'logout':			return HEADER_TITLE_LOGOFF; break;
		case 'my_account':		return HEADER_TITLE_MY_ACCOUNT; break;
		case 'shopping_cart':	return HEADER_TITLE_CART_CONTENTS; break;
	
		// URL Tags
		case 'url':					return DIR_WS_CATALOG; break;
		case 'shop_url':			return WEB_SERVER_ADDRESS; break;
		case 'secure_url':			return SECURE_SERVER_ADDRESS; break;
		case 'template_url': return 'templates/' . MODULE_SKIN_SELECTED; break;
		case 'go_account':			return shop_href_link('account.php','','SSL'); break;
		case 'go_checkout':			return shop_href_link('checkout_payment.php','','SSL'); break;
		case 'go_login':			return shop_href_link('login.php','','SSL'); break;
		case 'go_logoff':			return shop_href_link('login.php', 'action=logout', 'SSL'); break;
		case 'go_shopping_cart':	return shop_href_link('shopping_cart.php'); break;
	
		// Conditional Navbar Tags
		case 'navbar_album_tracks':			if (MYSELF == 'product_info.php') {return shop_navbar_tracks(); break;} else {return ''; break;}
		case 'navbar_manufacturer_info':	if (MYSELF == 'product_info.php') {return shop_navbar_manufacturer_info(); break;} else {return ''; break;}
		case 'navbar_shopping_cart':		if ($_SESSION['cart']->count_contents()) {return shop_navbar_shopping_cart(); break;} else {return ''; break;}
		case 'navbar_languages':			if (sizeof($GLOBALS['catalog_languages']) > 1) {return shop_navbar_languages(); break;} else {return ''; break;}
		case 'navbar_currencies':			if (sizeof($GLOBALS['currencies']->currencies) > 1) {return shop_navbar_currencies(); break;} else {return ''; break;}

		// Static Navbar Tags
		case 'navbar_coupons':				return shop_navbar_coupons(); break;
		case 'navbar_features':				return shop_navbar_features(); break;
		case 'navbar_information':			return shop_navbar_information(); break;
		case 'navbar_manufacturers':		return shop_navbar_manufacturers(); break;
		case 'navbar_new_products':			return shop_navbar_new_products(); break;
		case 'navbar_search':				return shop_navbar_search(); break;
		case 'navbar_shopping_categories':	return shop_navbar_categories(); break;
		case 'navbar_specials':				return shop_navbar_specials(); break;
	
		// Date Tags
		case 'year':		return date('Y'); break;
		case 'month':		return date('F'); break;
		case 'day':			return date('d'); break;
		case 'weekday':		return date('l'); break;
		case 'date':		return shop_date_long(date('U')); break;
		
		// Misc Tags
		case 'google_analytics': 
			if (GOOGLE_ANALYTICS!='') {
				$google = '
<script type="text/javascript">
var gaJsHost = (("https:" == document.location.protocol) ? "https://ssl." : "http://www.");
document.write(unescape("%3Cscript src=\'" + gaJsHost + "google-analytics.com/ga.js\' type=\'text/javascript\'%3E%3C/script%3E"));
</script>
<script type="text/javascript">
  var pageTracker = _gat._getTracker("' . GOOGLE_ANALYTICS . '");
  pageTracker._initData();
  pageTracker._trackPageview();';
				if (MYSELF == 'checkout_success.php') {
					$order = shop_db_fetch_array(shop_db_query("SELECT o.*, IFNULL(TRUNCATE(ot1.value,2),0) as total, IFNULL(TRUNCATE(ot2.value,2),0) as tax, IFNULL(TRUNCATE(ot3.value,2),0) as shipping FROM " . DB_PREFIX . "orders o LEFT JOIN " . DB_PREFIX . "orders_total ot1 ON o.orders_id=ot1.orders_id AND ot1.class='ot_total' LEFT JOIN " . DB_PREFIX . "orders_total ot2 ON o.orders_id=ot2.orders_id AND ot2.class='ot_tax' LEFT JOIN " . DB_PREFIX . "orders_total ot3 ON o.orders_id=ot3.orders_id AND ot3.class='ot_shipping' WHERE o.customers_id = '" . $_SESSION['customer_id'] . "' ORDER BY o.orders_id DESC LIMIT 1"));
					$results = shop_db_query("SELECT op.*, TRUNCATE(op.products_price,2) AS price FROM " . DB_PREFIX . "orders_products op WHERE op.orders_id = '" . $order['orders_id'] . "'");
					$products = '';
					while ($row = shop_db_fetch_array($results)) {
						$sku = ($row['products_sku']=='') ? $row['products_model'] : $row['products_sku'];
						$products .= '
  pageTracker._addItem(
    "' . $row['orders_id'] . '",        // Order ID
    "' . $sku . '",                     // SKU
    "' . $row['products_name'] . '",    // Product Name 
    "",                                 // Category
    "' . $row['price'] . '",            // Price
    "' . $row['products_quantity'] . '" // Quantity
  );
';
					}
					if ($order) {
						$google .= '
  pageTracker._addTrans(
    "' . $order['orders_id'] . '", // Order ID
    "' . $order['affiliate'] . '", // Affiliation
    "' . $order['total'] . '",     // Total
    "' . $order['tax'] . '",       // Tax
    "' . $order['shipping'] . '",  // Shipping
    "' . $order['customers_city'] . '",   // City
    "' . $order['customers_state'] . '",  // State
    "' . $order['customers_country'] . '" // Country
  );

  ' . $products . '

  pageTracker._trackTrans();
';
					}
				}
			  $google .= '</script>' . "\r\n";
			}
			return $google;
			break;
		
		// Deprecated Tags
		case 'privacy':			return STORE_INFO_PRIVACY; break;
		case 'returns':			return STORE_INFO_SHIPRETURN; break;
		case 'contact_us':		return BOX_INFORMATION_CONTACT; break;
		case 'navbarcontents':	return shop_navbar_complete(); break;

		default:
			$info_query = shop_db_query("select * from " . DB_PREFIX . "information_panels where language_id = '" . $_SESSION['languages_id'] . "'");
			while ($info = shop_db_fetch_array($info_query)) {
				if (('[' . $tag . ']') == $info['tag']) return shop_navbar_information($info['information_panel_id'], $info['name']);
			}
	
			if (sizeof($GLOBALS['sparx']->sparx_classes)) {
				foreach ($GLOBALS['sparx']->sparx_classes as $class) {
					if ($tag == $class) return $GLOBALS[$class]->display();
				}
			}

	}
	return '[' . $tag . ']';
}

function shop_tag_complex($tag, $data, $depth = 0){
	if ($depth < 1) $data = preg_replace('/\[([^\]]+)\](.*)\[\/\\1\]/Use', 'shop_tag_complex("\\1", "\\2", ' . ($depth+1) . ')', $data);
	
	switch ($tag) {
		case 'cartfull':		if (@$_SESSION['cart']->count_contents()) {return $data; break;} else {return ''; break;}
		case 'cartempty':		if (!@$_SESSION['cart']->count_contents()) {return $data; break;} else {return ''; break;}
		case 'loggedin':		if (@$_SESSION['customer_id']) {return $data; break;} else {return '';}
		case 'loggedout':		if (!@$_SESSION['customer_id']) {return $data; break;} else {return '';}
		case 'notcheckout':		if (substr(MYSELF, 0, 8) != 'checkout') {return $data; break;} else {return ''; break;}
		case 'checkout':		if (substr(MYSELF, 0, 8) == 'checkout') {return $data; break;} else {return ''; break;}
	}
	return '[' . $tag . ']' . $data . '[/' . $tag . ']';
}

function shop_move_uploaded_file($file1, $file2) {
	if (strtolower(substr($file2,-3,3)) != 'php') {
		if (!(move_uploaded_file($file1, $file2))) {
			if (!(file_exists($file1))) {
				trigger_error('Could not find uploaded file ' . $file1 . '. Please check that the filesize does not exceed PHP limits.', FATAL);
			} else {
				trigger_error('Could not write the file "' . $file2 . '." Please check the permissions on the file and containing folder.', FATAL);
			}
		}
	} else {
		trigger_error('Can\'t make this type of file.', FATAL);
	}
}

// PHP mail() comment by anton@basehost.net
function _local_replace_bad($value) {
  # mail adress(ess) for reports...
  $report_to = STORE_OWNER_EMAIL_ADDRESS;
   
	# array holding strings to check, we do not trust these strings in $_POST
	$suspicious_str = array("content-type:",
													"charset=",
													"mime-version:",
													"multipart/mixed",
													"bcc:");
	$suspect_found = false;
	
	// remove added slashes from $value...
	$value = stripslashes($value);
	
	# checks if $value contains $suspect...
	foreach($suspicious_str as $suspect) {
		if (eregi($suspect, strtolower($value))) {
			 # if we found some suspicios string, then we add our string, so it
			 # will be messed a little bit. :)
			 $suspect_found = true; 
			 $value = eregi_replace($suspect, "(anti-spam-".$suspect.")", $value);
		}
	}
	
	if ($suspect_found) {
		# if at least one suspicios string was found, then do something more
		
		$ip = (empty($_SERVER['REMOTE_ADDR'])) ? 'empty' : $_SERVER['REMOTE_ADDR'];
		$rf = (empty($_SERVER['HTTP_REFERER'])) ? 'empty' : $_SERVER['HTTP_REFERER'];
		$ua = (empty($_SERVER['HTTP_USER_AGENT'])) ? 'empty' : $_SERVER['HTTP_USER_AGENT'];
		$ru = (empty($_SERVER['REQUEST_URI'])) ? 'empty' : $_SERVER['REQUEST_URI'];
		$rm = (empty($_SERVER['REQUEST_METHOD'])) ? 'empty' : $_SERVER['REQUEST_METHOD'];
		
		# very often HTTP_USER_AGENT is empty. We consider this is 100% spam
		if ($suspect_found && $ua == "empty") {
			 exit();
		}
		
		# if we are here, then HTTP_USER_AGENT is not empty. this is only 80-90% that it is spam
		# Remember, that POST values were already changed. But we still want to inform our
		# admin about this suspicios request.
		if(isset($report_to) && !empty($report_to)) {
			 @mail(
					 $report_to,
					 "[ABUSE] [SUSPECT] @ " . $_SERVER['HTTP_HOST'] . " by " . $ip,
					 "Stopped possible mail-injection @ " .
					 $_SERVER['HTTP_HOST'] . " by " . $ip .
					 " (" . date('d/m/Y H:i:s') . ")\r\n\r\n" .
					 "*** IP/HOST\r\n" . $ip . "\r\n\r\n" .
					 "*** USER AGENT\r\n" . $ua . "\r\n\r\n" .
					 "*** REFERER\r\n" . $rf . "\r\n\r\n" .
					 "*** REQUEST URI\r\n" . $ru . "\r\n\r\n" .
					 "*** REQUEST METHOD\r\n" . $rm . "\r\n\r\n" .
					 "*** SUSPECT\r\n-----\r\n" . $value . "\r\n-----",
					 null,
					 '-f' . $report_to
			 );
		} # if report
	} # if suscpect found
	
	return($value);
}

function shop_js_flash_it($element) {
	return '<script language="javascript"><!-- 
colorFlash("' . $element . '");
//--></script>';
}