<?php
/*
	eShox OS
	http://www.eshox.com/

	Copyright (c) 2003, Secure.cc, Inc.

	Released under the GNU General Public License

*/

class item {
	var $code, $title, $description, $icon, $enabled, $quote;

	function item() {
		$this->code = 'item';
		$this->title = MODULE_SHIPPING_ITEM_TEXT_TITLE;
		$this->description = 'Per Item Shipping Options:';
		$this->icon = 'images/shipping/shipping.gif';
		$this->enabled = defined('MODULE_SHIPPING_ITEM_STATUS');
		$this->quote = array();
	}

	function quote() {
		$quantity = $_SESSION['cart']->count_contents();
		$total = MODULE_SHIPPING_ITEM_COST;
		$total = ($total * $quantity) + ($total * (SHIPPING_MARK/100));
		$total = (SHIPPING_HANDLING_TOTAL + $total);
		$this->quote[] = array('Method' => MODULE_SHIPPING_ITEM_TEXT_WAY, 'Service' => MODULE_SHIPPING_ITEM_NAME, 'TotalCharges' => $total);
		return $total;
	}

	function check() {
	  return defined('MODULE_SHIPPING_ITEM_STATUS');
	}

	function install() {
		shop_db_query("insert into " . DB_PREFIX . "configuration (configuration_key, configuration_value) values ('MODULE_SHIPPING_ITEM_STATUS', 'true')");
		shop_db_query("insert into " . DB_PREFIX . "configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Name of per item shipping option', 'MODULE_SHIPPING_ITEM_NAME', 'Per Item Shipping', 'The name of the flat shipping option:', '6', '1', now())");
		shop_db_query("insert into " . DB_PREFIX . "configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, date_added) values ('Per Item shipping cost', 'MODULE_SHIPPING_ITEM_COST', '2.50', 'How much will be charged for each item ordered?', '6', '2', 'shop_cfg_price_display(', now())");
	}

	function remove() {
		shop_db_query("delete from " . DB_PREFIX . "configuration where configuration_key like 'MODULE_SHIPPING_ITEM_%'");
	}

	function keys() {
		return array('MODULE_SHIPPING_ITEM_STATUS', 'MODULE_SHIPPING_ITEM_NAME', 'MODULE_SHIPPING_ITEM_COST');
	}
}